<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsToVolunteerFormOneTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('volunteer_form_one', function (Blueprint $table) {
            //
            $table->char('status')->default(0)->nullable();
            $table->string('ineternal_reason', 300)->nullable();
            $table->string('external_reason', 300)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('volunteer_form_one', function (Blueprint $table) {
            //
        });
    }
}
