$(function() {
    'use strict'
    $('#form-two').steps({
        headerTag: 'h3',
        bodyTag: 'section',
        autoFocus: true,
        titleTemplate: '<span class="number">#index#<\/span> <span class="title">#title#<\/span>',
        onStepChanging: function(event, currentIndex, newIndex) {
            if (currentIndex == 5) {
                $('.submit').show();
            }
            if (currentIndex < newIndex) {
                // Step 1 form validation
                if (currentIndex === 0) {
                    //personal info
                    var fname = $('#family_name').parsley();
                    var gname = $('#name').parsley();
                    var mname = $('#maiden_name').parsley();
                    var dob = $('#dob').parsley();
                    var c_adress = $('#address').parsley();
                    var city = $('#city').parsley();
                    var province = $('#number').parsley();
                    var postalcode = $('#postal_code').parsley();
                    var telephone = $('#tel').parsley();
                    var phone_number = $('#ph_no').parsley();
                    var email = $('#email').parsley();
                    if (fname.isValid() && email.isValid() && gname.isValid() && mname.isValid() && dob.isValid() && city.isValid() && province.isValid() && postalcode.isValid() && telephone.isValid() && phone_number.isValid() && c_adress.isValid()) {
                        return true;
                    } else {
                        fname.validate();
                        gname.validate();
                        mname.validate();
                        dob.validate();
                        c_adress.validate();
                        city.validate();
                        province.validate();
                        postalcode.validate();
                        telephone.validate();
                        phone_number.validate();
                        email.validate();
                        // lived_montreal.validate();
                    }
                    $('.submit').hide();

                }
                // Step 2 form validation
                if (currentIndex === 1) {
                    console.log('Yes');
                    //refrences
                    var relationtwo = $('#relationship2').parsley();
                    var relation1 = $('#relationship1').parsley();
                    var mail2 = $('#family_email_2').parsley();
                    var mail1 = $('#family_email_1').parsley();
                    var telphon2 = $('#family_phone_two').parsley();
                    var telphon1 = $('#family_phone_one').parsley();
                    var familyname2 = $('#family_name_2').parsley();
                    var familyname1 = $('#family_name_1').parsley();
                    if (relationtwo.isValid() && relation1.isValid() && mail2.isValid() && mail1.isValid() && telphon2.isValid() && telphon1.isValid() && familyname1.isValid() && familyname2.isValid()) {
                        return true;
                    } else {
                        relationtwo.validate();
                        relation1.validate();
                        mail2.validate();
                        mail1.validate();
                        telphon2.validate();
                        telphon1.validate();
                        familyname2.validate();
                        familyname1.validate();
                    }
                    // $('.submit').hide();
                }
                // Step 3 form validation
                if (currentIndex === 2) {
                    var family_name = $('#family_name_three').parsley();
                    var given_name = $('#given_name').parsley();
                    var Cell = $('#Cell').parsley();
                    var telephone = $('#telephone').parsley();
                    var relationship = $('#relationship').parsley();

                    if (family_name.isValid() &&
                    Cell.isValid() && given_name.isValid() && telephone.isValid()&& relationship.isValid()) {
                        return true;
                    } else {
                        family_name.validate();
                        given_name.validate();
                        telephone.validate();
                        relationship.validate();
                        Cell.validate();

                    }

                }// Step 4 form validation
                if (currentIndex === 3) {
                    var family_name = $('#work_exp').parsley();
                    var volunteer_exp = $('#volunteer_exp').parsley();
                    var skills = $('#skills').parsley();
                    var restrictions = $('#restrictions').parsley();

                    if (restrictions.isValid() &&
                     skills.isValid() && volunteer_exp.isValid()&& family_name.isValid()) {
                        return true;
                    } else {
                        restrictions.validate();
                        skills.validate();
                        volunteer_exp.validate();
                        family_name.validate();

                    }

                }
                if(currentIndex === 4){
                    return true;
                }
                if (currentIndex === 5) {
                    var total_hours = $('#total_hours').parsley();
                    if (total_hours.isValid()) {
                        return true;
                    } else {
                        total_hours.validate();
                    }

                }
                // Always allow step back to the previous step even if the current step is not valid.
            } else {
                $('.submit').show();
                return true;
            }
        }
    });
    $('#wizard2').steps({
        headerTag: 'h3',
        bodyTag: 'section',
        autoFocus: true,
        titleTemplate: '<span class="number">#index#<\/span> <span class="title">#title#<\/span>',
        onStepChanging: function(event, currentIndex, newIndex) {
            if (currentIndex == 1) {
                $('.submit').show();
            }
            if (currentIndex < newIndex) {
                // Step 1 form validation
                if (currentIndex === 0) {
                    var fname = $('#full_name').parsley();
                    var email = $('#email').parsley();
                    var phone_number = $('#phone_number').parsley();
                    var c_adress = $('#c_adress').parsley();

                    if (fname.isValid() && email.isValid() && phone_number.isValid() && c_adress.isValid()) {
                        return true;
                    } else {
                        fname.validate();
                        email.validate();
                        phone_number.validate();
                        c_adress.validate();
                        // lived_montreal.validate();
                    }
                    $('.submit').hide();

                }
                // Step 2 form validation
                if (currentIndex === 1) {
                    var educational_bg = $('#field_of_study').parsley();
                    var profession = $('#profession').parsley();
                    var volunteering_experience = $('#volunteer_other_experience').parsley();
                    if (educational_bg.isValid() && profession.isValid() && volunteering_experience.isValid()) {
                        return true;
                    } else {
                        educational_bg.validate();
                        profession.validate();
                        volunteering_experience.validate();
                    }

                }
                // Step 3 form validation
                if (currentIndex === 1) {
                    var project = $('#project').parsley();
                    var like = $('#like').parsley();

                    if (project.isValid() && like.isValid()) {
                        return true;
                    } else {
                        project.validate();
                        like.validate();

                    }

                }
                // Always allow step back to the previous step even if the current step is not valid.
            } else {
                $('.submit').show();
                return true;
            }
        }
    });
    $('#wizard3').steps({
        headerTag: 'h3',
        bodyTag: 'section',
        autoFocus: true,
        titleTemplate: '<span class="number">#index#<\/span> <span class="title">#title#<\/span>',
        stepsOrientation: 1,
        onStepChanging: function(event, currentIndex, newIndex) {
            console.log(currentIndex);
            if (currentIndex == 1) {
                $('.submit').show();
            }
            if (currentIndex < newIndex) {
                // Step 1 form validation
                if (currentIndex === 0) {
                    var fname = $('#family_name').parsley();
                    var email = $('#email').parsley();
                    var phone_number = $('#phone_number').parsley();
                    var c_adress = $('#c_adress').parsley();

                    if (fname.isValid() && email.isValid() && phone_number.isValid() && c_adress.isValid()) {
                        return true;
                    } else {
                        fname.validate();
                        email.validate();
                        phone_number.validate();
                        c_adress.validate();
                        // lived_montreal.validate();
                    }
                    $('.submit').hide();

                }
                // Step 2 form validation
                if (currentIndex === 1) {
                    var educational_bg = $('#field_of_study').parsley();
                    var profession = $('#profession').parsley();
                    var volunteering_experience = $('#volunteer_other_experience').parsley();
                    if (educational_bg.isValid() && profession.isValid() && volunteering_experience.isValid()) {
                        return true;
                    } else {
                        educational_bg.validate();
                        profession.validate();
                        volunteering_experience.validate();
                    }

                }
                // Step 3 form validation
                if (currentIndex === 1) {
                    var project = $('#project').parsley();
                    var like = $('#like').parsley();

                    if (project.isValid() && like.isValid()) {
                        return true;
                    } else {
                        project.validate();
                        like.validate();

                    }

                }
                // Always allow step back to the previous step even if the current step is not valid.
            } else {
                $('.submit').show();
                return true;
            }
        }
    });


    $('#feedback').steps({
        headerTag: 'h3',
        bodyTag: 'section',
        autoFocus: true,
        titleTemplate: '<span class="number">#index#<\/span> <span class="title">#title#<\/span>',
        onStepChanging: function(event, currentIndex, newIndex) {
            console.log(currentIndex);
            if (currentIndex == 1) {
                $('.submit').show();
            }
            if (currentIndex < newIndex) {
                // Step 1 form validation
                if (currentIndex === 0) {
                    var recruitment_process = $('#recruitment_process').parsley();
                    var comprehensible = $('#comprehensible').parsley();
                    var timely_fashion = $('#timely_fashion').parsley();
                    var recruitment_experience = $('#recruitment_experience').parsley();
                    var team_member_name = $('#team_member_name').parsley();
                    var specific_feedback = $('#specific_feedback').parsley();
                    var commitment_months = $('#commitment_months').parsley();

                    if (recruitment_process.isValid() && comprehensible.isValid() && timely_fashion.isValid() && recruitment_experience.isValid() && team_member_name.isValid() && specific_feedback.isValid() && commitment_months.isValid()) {
                        return true;
                    } else {
                        recruitment_process.validate();
                        comprehensible.validate();
                        timely_fashion.validate();
                        recruitment_experience.validate();
                        team_member_name.validate();
                        specific_feedback.validate();
                        commitment_months.validate();
                        // lived_montreal.validate();
                    }
                    $('.submit').hide();

                }
                // Step 2 form validation
                if (currentIndex === 1) {
                    var session_topic = $('#session_topic').parsley();
                    var feedback_interaction = $('#feedback_interaction').parsley();
                    var recommendations = $('#recommendations').parsley();
                    if (session_topic.isValid() && feedback_interaction.isValid() && recommendations.isValid()) {
                        return true;
                    } else {
                        session_topic.validate();
                        feedback_interaction.validate();
                        recommendations.validate();
                    }
                    $('.submit').hide();

                }
                // Step 3 form validation
                if (currentIndex === 1) {
                    var communication_quality = $('#communication_quality').parsley();
                    var modality_communication = $('#modality_communication').parsley();
                    var teammate = $('#teammate').parsley();
                    if (communication_quality.isValid() && modality_communication.isValid() && teammate.isValid()) {
                        return true;
                    } else {
                        communication_quality.validate();
                        modality_communication.validate();
                        teammate.validate();

                    }

                }
                // Always allow step back to the previous step even if the current step is not valid.
            } else {
                $('.submit').show();
                return true;
            }
        }
    });


    $('#formone').steps({
        headerTag: 'h3',
        bodyTag: 'section',
        autoFocus: true,
        titleTemplate: '<span class="number">#index#<\/span> <span class="title">#title#<\/span>',
        onStepChanging: function(event, currentIndex, newIndex) {
            console.log(currentIndex);
            // if (currentIndex == 1) {
            //     $('.submit').show();
            //     return
            // }
            if (currentIndex < newIndex) {
                // Step 1 form validation
                if (currentIndex === 0) {
                    var surname = $('#surname').parsley();
                    var first_name = $('#first_name').parsley();
                    var dob = $('#dob').parsley();
                    var phone_no = $('#phone_no').parsley();
                    var current_address = $('#current_address').parsley();
                    var apt_no = $('#apt_no').parsley();
                    var city = $('#city').parsley();
                    var province = $('#province').parsley();

                    if (surname.isValid() && first_name.isValid() && dob.isValid() && phone_no.isValid() && current_address.isValid() && apt_no.isValid() && city.isValid() && province.isValid()) {
                        return true;
                    } else {
                        surname.validate();
                        first_name.validate();
                        phone_no.validate();
                        dob.validate();
                        current_address.validate();
                        apt_no.validate();
                        city.validate();
                        province.validate();
                    }
                    $('.submit').hide();

                }else{
                    return true;
                }
                // Always allow step back to the previous step even if the current step is not valid.
            } else {
                $('.submit').show();
                return true;
            }
        }
    });



});