@if($dropinsession->status=='C')
<script>window.location = "{{ route('admin.session.index') }}";</script>
      <?php exit; ?>
@endif
@extends('admin.include.main')
@section('title')
Drop-in Session Update
@endsection
@section('content')
<div class="modal fade" id="normalmodal" role="dialog" aria-labelledby="normalmodal"
    aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="normalmodal1">Add Notes</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <form action="{{ route('admin.session.addvolunteer') }}" method="POST">
                @csrf
                <div class="modal-body">  
                    <input type="hidden" name="dropin_session_id" value="{{$dropinsession->id }}">                 
                        <div class="row mt-5">
                            <div class="col-md-5 col-lg-6">
                                @php
                                    $volntr= App\Models\Volunteer::get();
                                @endphp
                                <div class="form-group">
                                    <label for="batch_title">Volunteer</label>
                                    <select class="form-control mySelectSearch " id="volunteer_id"
                                    name="volunteer_id" data-placeholder="Choose one (with searchbox)">
                                        <optgroup label="Volunteer">
                                            @foreach ($volntr as $v)
                                                <option value="{{ $v->vlntr_id }}">{{ $v->vlntr_name }}</option>
                                            @endforeach
                                        </optgroup>
                                    </select>
                                        
                                </div>    
                            </div>
                            {{--<div class="col-md-5 col-lg-6">
                                @php
                                $user= App\Models\User::where('user_type','client')->get();
                                @endphp
                                <div class="form-group">
                                    <label for="client_id">Client</label>
                                    <select class="form-control select2-show-search " id="client_id"
                                    name="client_id" data-placeholder="Choose one (with searchbox)">
                                        <optgroup label="Volunteer">
                                            @foreach ($user as $u)
                                                <option value="{{ $u->id }}">{{ $u->id }} {{ $u->first_name }}</option>
                                            @endforeach
                                        </optgroup>
                                    </select>
                                </div>    
                            </div> --}}                               
                        </div>                   
                        <div class="row mt-5">
                            <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                <div class="form-group">
                                    <label for="batch_date">Notes</label>
                                    <textarea id="notes" class="form-control" name="notes" placeholder=" Enter notes"> </textarea>
                                </div>    
                            </div>
                            <div class="col-md-5 col-lg-6">
                                <div class="form-group">
                                    <label for="batch_starttime">Generate Ticket</label>
                                        <div class="form-check">
                                                <input class="form-check-input ticket" type="checkbox" name="generate_ticket"
                                                    id="mandatory1" value="Y" >
                                                <label class="form-check-label" for="mandatory1">
                                                    Generate Ticket
                                                </label>
                                        </div>
                                </div>    
                            </div>
                        </div>
                        <div id="more" style="display: none">
                            <div class="row mt-5">
                                <div class="col-md-5 col-lg-6">
                                    <div class="form-group">
                                        <label for="batch_duration">Ticket Title</label>
                                        <input type="text" class="form-control" name="ticket_title" id="batch_duration" aria-describedby="helpId" placeholder=" Enter ticket title">
                                    </div>    
                                </div>

                                <div class="col-md-5 col-lg-6">
                                    <div class="form-group">
                                        <label for="batch_date">Ticket Priority</label>
                                        <select class="form-control" name="ticket_priority">
                                            <option value='' selected disabled>Select</option>
                                            <option></option>
                                            <option value="High">High</option>
                                            <option value="Medium">Medium</option>
                                            <option value="Low">Low</option>
                                        </select>

                                    </div>    
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                    <div class="form-group">
                                        <label for="batch_duration">Ticket Description</label>
                                        <textarea id="ticket_desc" class="form-control" name="ticket_desc" placeholder="Enter ticket Description"> </textarea>
                                    </div>    
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                    <button type="submit" class="btn btn-danger">Add Notes</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
    <div class="card">
        <div class="card-header">
            <div class="row w-100">
            <div class="col-6">
                   <div class="card-title mt-3">Drop-in Session Update<br /><br /></div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3"><button class="btn btn-info mt-3 float-end" data-bs-toggle="modal" data-bs-target="#normalmodal">
                       <i class="fa fa-plus"></i>Add Notes
                   </button></div>
               </div>
               <div class="col-6">
                   <div class="card-title mt-3">Batch No:&emsp;&emsp;{{ $dropinsession->batch_no }}</div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3">Date:&emsp;&emsp;&emsp;&emsp;{{ $dropinsession->start_date }}</div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3">Start Time: &emsp;{{ date('h:i:s a', strtotime($dropinsession->start_time)) }}</div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3">Duration:&emsp;&emsp; {{ $dropinsession->duration }}</div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3">Clinician: &emsp;&emsp;{{$dropinsession->clinicianuser->first_name}} {{$dropinsession->clinicianuser->last_name}}</div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3">Zoom Link:&emsp; {{ $dropinsession->zoom_link }}</div>
               </div>
           </div>
       </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Notes</th>
                            <th>Ticket</th>
                            <th></th>
                        </tr>
                    </thead>
                      <tbody>
                          @foreach ($dropinsession->volunteers as $item )
                             <tr>
                                <td>{{ $item->user->first_name }}</td>
                                 <td>{{$item->notes}}</td>
                                 <td style="vertical-align: top;text-align:left">&emsp;&emsp;<input class="form-check-input" type="checkbox" disabled @if($item->generate_ticket=='Y') checked @endif></td>
                                 <td><a data-bs-toggle="modal" data-bs-target="#modelupdate{{ $item->user->id }}" class="btn btn-success" href="">Update</a>
                                 <a data-bs-toggle="modal" data-bs-target="#modelremove{{ $item->user->id }}" class="btn btn-danger" href="">Remove</a></td>
                                  {{-- skill --}}
                                  <div class="modal fade" id="modelremove{{ $item->user->id  }}" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal">Remove 
                                                   </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="{{ route('admin.session.removevolunteer') }}"
                                                method="POST">
                                                @csrf
                                                <div class="modal-body">  
                                                    <input type="hidden" name="dropin_session_id" value="{{$item->dropin_session_id }}">                 
                                                    <input type="hidden" name="volunteer_id" value="{{$item->volunteer_id }}">  
                                                    <label for="batch_title">Are you sure to remove notes for {{ $item->user->first_name }}.</label> 
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info"
                                                        data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-danger">Remove</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                                  <div class="modal fade" id="modelupdate{{ $item->user->id  }}" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal">Update 
                                                   </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="{{ route('admin.session.updatevolunteer') }}"
                                                method="POST">
                                                @csrf
                                                <div class="modal-body">  
                                                    <input type="hidden" name="dropin_session_id" value="{{$item->dropin_session_id }}">                 
                                                    <input type="hidden" name="volunteer_id" value="{{$item->volunteer_id }}">                 
                                                        <div class="row mt-5">
                                                                    <div class="col-md-5 col-lg-6">
                                                                        <div class="form-group">
                                                                            <label for="batch_title">Volunteer</label>
                                                                            <input class="form-control" type="text" disabled value="{{ $item->user->first_name }}">
                                                                        </div>    
                                                                    </div>
                                                                   {{-- <div class="col-md-5 col-lg-6">
                                                                        @php
                                                                        $user= App\Models\User::where('user_type','client')->get();
                                                                    @endphp
                                                                        <div class="form-group">
                                                                            <label for="client_id">Client</label>
                                                                            <select class="form-control select2-show-search " id="client_id"
                                                                            name="client_id" data-placeholder="Choose one (with searchbox)">
                                                                                <optgroup label="Volunteer">
                                                                                    @foreach ($user as $u)
                                                                                        <option value="{{ $u->id }}">{{ $u->first_name }}</option>
                                                                                    @endforeach
                                                                                </optgroup>
                                                                            </select>
                                                                        </div>    
                                                                    </div>  --}}
                                                            
                                                       </div>
                                               
                                                             <div class="row mt-5">
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_date">Notes</label>
                                                                        <input type="text" class="form-control " value="{{$item->notes}}" name="notes" id="notes" aria-describedby="helpId" placeholder=" Enter notes">
                                                                    </div>    
                                                                </div>
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_starttime">Generate Ticket</label>
                                                                            <div class="form-check">
                                                                                    <input class="form-check-input ticket" type="checkbox" name="generate_ticket"
                                                                                        id="mandatory1" value="Y" @if($item->generate_ticket=='Y') checked @endif >
                                                                                    <label class="form-check-label" for="mandatory1">
                                                                                        Generate Ticket
                                                                                    </label>
                                                                            </div>
                                                                    </div>    
                                                                </div>
                                                        </div>
                                                         <div id="more" @if($item->generate_ticket=='Z') style="display: none" @endif>
                                                            <div class="row mt-5">
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_duration">Ticket Title</label>
                                                                        <input type="text" value="{{ $item->ticket_title }}" class="form-control" name="ticket_title" id="batch_duration" aria-describedby="helpId" placeholder=" Enter ticket title">
                                                                    </div>    
                                                                </div>

                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_date"></label>Ticket Priority
                                                                        <select class="form-control" name="ticket_priority">
                                                                            <option></option>
                                                                            <option value="High"    @if($item->ticket_priority == "High") selected @endif >High</option>
                                                                            <option value="Medium"  @if($item->ticket_priority == "Medium") selected @endif >Medium</option>
                                                                            <option value="Low"     @if($item->ticket_priority == "Low") selected @endif>Low</option>
                                                                        </select>
                                                                    </div>    
                                                                </div>
                                                        </div>

                                                        <div class="row mt-5">
                                                            <div class="col-md-5 col-lg-6">
                                                                <div class="form-group">
                                                                    <label for="batch_duration">Ticket Description</label>
                                                                    <input type="text"  value="{{$item->ticket_desc}}" class="form-control" name="ticket_desc" id="ticket_desc" aria-describedby="helpId" placeholder=" Enter ticket Description">
                                                                </div>    
                                                            </div>
                                                        </div>

                                                         </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info"
                                                        data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-danger">Update</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            {{-- skill --}}
                             </tr>
                              
                          @endforeach
                      </tbody>
                </table>
            </div>
        </div>
        <div class="card-footer">
            <div class="row w-100">
                <div class="col-6">
                   <div class="card-title mt-3"></div>
               </div>
               <div class="col-6">
                    <form action="{{ route('admin.session.close') }}"
                        method="POST">
                        @csrf
                        <div class="modal-body">  
                            <input type="hidden" name="dropin_session_id" value="{{$dropinsession->id }}">                 
                        </div>
                        <div class="modal-footer">
                            <a class="btn btn-primary" href="{{route('admin.session.index')}}">Save</a>
                            <button  type="submit" class="btn btn-primary" onclick="return confirm('Are you sure to close drop-in session?')">
                            Save and Close
                            </button>
                        </div>
                    </form>
               </div>
            </div>
        </div>
    </div>
    {{-- detail model --}}
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>





@endsection

@section('script')
<script>
    $(document).ready(function(){
        $('.duration').inputmask('99:99');
        $('#volunteer_id').select2({
        dropdownParent: $('#normalmodal')
        });
    });
    $(document).on("click", ".ticket", function () {
   var check =$(this).is(':checked');//($(this).val());    // Here you will get the current selected/checked radio option value
    console.log(check);
   if(check==true){
     $('#more').show();
   }
   else{
    $('#more').hide();
   }

});
</script>


@endsection
