<aside class="app-sidebar app-sidebar3">
    <div class="app-sidebar__user">
        <div class="dropdown user-pro-body text-center">
            <div class="user-pic">
                <img src="{{ asset('admin/assets/images/users/16.jpg') }}" alt="user-img"
                    class="avatar-xl rounded-circle mb-1">
            </div>
            <div class="user-info">
                <h5 class=" mb-1 font-weight-bold">{{Auth::user()->get_name()}}</h5>
                <span class="text-muted app-sidebar__user-name text-sm">Volunteer</span>
            </div>
        </div>
    </div>
    <ul class="side-menu">
        {{--<li class="slide">
            <a class="side-menu__item" data-toggle="slide" href="#">
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26"
                    viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                    stroke-linejoin="round">
                    <path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path>
                    <polyline points="9 22 9 12 15 12 15 22"></polyline>
                </svg>
                <span class="side-menu__label">Dashboard</span></a>

        </li>--}}
        <li class="slide">
            <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)">
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                <span class="side-menu__label">Volunteer</span><i class="angle fa fa-angle-right"></i></a>
            <ul class="slide-menu">
                
                @if(Auth::user()->application == null)
                    <li><a class="slide-item" href="{{route('volunteer.apply.index')}}"><span>Apply</span></a></li>
                @endif
                @if(Auth::user()->application != null)
                    @if(Auth::user()->short_list != null && Auth::user()->batch_traine == null )
                        <li><a class="slide-item" href="{{route('volunteer.interview-slots.index' , 'all')}}"><span>Interview</span></a></li>
                    @endif
                    <li><a class="slide-item" href="{{route('volunteer.forms')}}"><span>Forms</span></a></li>
                @endif
            </ul>
        </li>
        @if(Auth::user()->batch_traine != null)
        <li class="slide">
            <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)">
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                <span class="side-menu__label">Training</span><i class="angle fa fa-angle-right"></i></a>
            <ul class="slide-menu">
                <li><a class="slide-item" href="{{route('volunteer.training.index')}}"><span>Register</span></a></li>
                <li><a class="slide-item" href="{{route('volunteer.feedback.index')}}"><span>Feedback</span></a></li>
            </ul>
        </li>
    
    <li class="slide">
        <a class="side-menu__item"  href="{{route('volunteer.session.list')}}">
            <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
            <span class="side-menu__label">Drop In Sessions</span></a>
    </li> 
    @endif
    <li class="slide">
        <a class="side-menu__item" href="{{route('volunteer.client.index')}}">
            <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
            <span class="side-menu__label">My Clients</span></a>
    </li>
        <li class="slide">
            <a class="side-menu__item"  >
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                <span class="side-menu__label">My Tickets</span>
            </a>
        </li>       
    </ul>
    <div class="ps__rail-x" style="left: 0px; bottom: -128px;">
        <div class="ps__thumb-x" tabindex="0" style="left: 0px; width: 0px;"></div>
    </div>
    <div class="ps__rail-y" style="top: 128px; height: 333px; right: 0px;">
        <div class="ps__thumb-y" tabindex="0" style="top: 38px; height: 100px;"></div>
    </div>
</aside>
