<?php
use Carbon\Carbon;
?>
@extends('volunteer.include.main')
@section('title')
TIP-OA: Drop-In Sessions
@endsection
@section('content')

    <div class="card">
        <div class="card-header">
             <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">Drop-In Sessions</div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Batch No</th>
                            <th>Date</th>
                            <th>Time </th>
                            <th>Action</th>


                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($sessions as $item)
                                <tr>
                                        <td>{{ $item->batch_no }}</td>
                                        <td>{{ $item->start_date }}</td>
                                        <td>{{ $item->start_time }}</td>
                                        <td> 
                                            <a class="btn btn-success"  target="_blank" href="{{ $item->zoom_link }}">Join</a>
                                            <a class="btn btn-primary" href="{{ $item->zoom_link }}" onclick="copyURI(event)">Copy Link</a>
                                        </td>
                                </tr>
                        @endforeach
                   
                    </tbody>
                </table>
            </div>
        </div>
    </div>

   
    {{-- detail model --}}
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
<script>
function copyURI(evt) {
    evt.preventDefault();
    navigator.clipboard.writeText(evt.target.getAttribute('href')).then(() => {
      /* clipboard successfully set */
    }, () => {
      /* clipboard write failed */
    });
}
</script>
@endsection