<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>

    <!-- Meta data -->
    <meta charset="UTF-8">
    <meta name='viewport' content='width=device-width, initial-scale=1.0, user-scalable=0'>

    <!-- Title -->
    <title>TIP-OA: <?php echo $__env->yieldContent('title'); ?></title>
        <!--Favicon -->
        <link rel="icon" href="<?php echo e(asset($path.'admin/assets/images/brand/favicon.ico')); ?>" type="image/x-icon" />

        <!-- Bootstrap css -->
        <link href="<?php echo e(asset($path.'admin/assets/plugins/bootstrap/css/bootstrap.css')); ?>" rel="stylesheet" />
    
        <!-- Style css -->
        <link href="<?php echo e(asset($path.'admin/assets/css/style.css')); ?>" rel="stylesheet" />
        <link href="<?php echo e(asset($path.'admin/assets/css/boxed.css')); ?>" rel="stylesheet" />
        <link href="<?php echo e(asset($path.'admin/assets/css/dark-boxed.css')); ?>" rel="stylesheet" />
    
        <!-- Dark css -->
        <link href="<?php echo e(asset($path.'admin/assets/css/dark.css')); ?>" rel="stylesheet" />
    
        <!-- Skins css -->
        <link href="<?php echo e(asset($path.'admin/assets/css/skins.css')); ?>" rel="stylesheet" />
    
        <!-- Animate css -->
        <link href="<?php echo e(asset($path.'admin/assets/css/animated.css')); ?>" rel="stylesheet" />
    
        <!--Sidemenu css -->
        <link id="theme" href="<?php echo e(asset($path.'admin/assets/css/sidemenu.css')); ?>" rel="stylesheet">
    
        <!-- P-scroll bar css-->
        <link href="<?php echo e(asset($path.'admin/assets/plugins/p-scrollbar/p-scrollbar.css')); ?>" rel="stylesheet" />
        <link href="<?php echo e(asset($path.'admin/assets/plugins/prism/prism.css')); ?>" rel="stylesheet">
    
        <!---Icons css-->
        <link href="<?php echo e(asset($path.'admin/assets/plugins/web-fonts/icons.css')); ?>" rel="stylesheet" />
        <link href="<?php echo e(asset($path.'admin/assets/plugins/web-fonts/font-awesome/font-awesome.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset($path.'admin/assets/plugins/web-fonts/plugin.css')); ?>" rel="stylesheet" />
    
        <!---jvectormap css-->
        <link href="<?php echo e(asset($path.'admin/assets/plugins/jvectormap/jqvmap.css')); ?>" rel="stylesheet" />
    
        <!-- Data table css -->
        <link href="<?php echo e(asset($path.'admin/assets/plugins/datatable/css/dataTables.bootstrap5.min.css')); ?>" rel="stylesheet" />
    
        <!--Daterangepicker css-->
        <link href="<?php echo e(asset($path.'admin/assets/plugins/bootstrap-daterangepicker/daterangepicker.css')); ?>" rel="stylesheet" />
    		<!-- Select2 css -->
		<link href="<?php echo e(asset($path.'admin/assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />

		<!-- Forn-wizard css-->
		<link href="<?php echo e(asset($path.'admin/assets/plugins/form-wizard/css/forn-wizard.css')); ?>" rel="stylesheet" />
		<link href="<?php echo e(asset($path.'admin/assets/plugins/formwizard/smart_wizard.css')); ?>" rel="stylesheet">
		<link href="<?php echo e(asset($path.'admin/assets/plugins/formwizard/smart_wizard_theme_dots.css')); ?>" rel="stylesheet">
        <!-- Time picker css -->
		<link href="<?php echo e(asset($path.'admin/assets/plugins/time-picker/jquery.timepicker.css')); ?>" rel="stylesheet" />

		<!-- Date Picker css -->
		<link href="<?php echo e(asset($path.'admin/assets/plugins/date-picker/date-picker.css')); ?>" rel="stylesheet" />

		<!---Sweetalert css-->
		<link href="<?php echo e(asset($path.'admin/assets/plugins/sweet-alert/jquery.sweet-modal.min.css')); ?>" rel="stylesheet" />
		<link href="<?php echo e(asset($path.'admin/assets/plugins/sweet-alert/sweetalert.css')); ?>" rel="stylesheet" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">

        <?php echo $__env->yieldContent('style'); ?>
        <style>
            .ui-datepicker , .ui-timepicker-wrapper{
                z-index:10000!important
            }
            .colorbox {
                height: 20px;
                width: 20px;
                margin-bottom: 5px;
                border: 1px solid black;
            }
            .red {
                background-color: red;
            }
            .green {
                background-color: green;
            }

            .amber {
                background-color: #FFBF00;
            }
        </style>
	</head>
	<body class="app sidebar-mini light-mode default-sidebar">
<?php /**PATH /home/saychees/tipoa.saycheese.com.pk/DevAutoMIS/resources/views/admin/include/style.blade.php ENDPATH**/ ?>