<?php if($dropinsession->status=='C'): ?>
<script>window.location = "<?php echo e(route('admin.session.index')); ?>";</script>
      <?php exit; ?>
<?php endif; ?>

<?php $__env->startSection('title'); ?>
Drop-in Session Update
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="modal fade" id="normalmodal" role="dialog" aria-labelledby="normalmodal"
    aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="normalmodal1">Add Notes</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <form action="<?php echo e(route('admin.session.addvolunteer')); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <div class="modal-body">  
                    <input type="hidden" name="dropin_session_id" value="<?php echo e($dropinsession->id); ?>">                 
                        <div class="row mt-5">
                            <div class="col-md-5 col-lg-6">
                                <?php
                                    $volntr= App\Models\Volunteer::get();
                                ?>
                                <div class="form-group">
                                    <label for="batch_title">Volunteer</label>
                                    <select class="form-control mySelectSearch " id="volunteer_id"
                                    name="volunteer_id" data-placeholder="Choose one (with searchbox)">
                                        <optgroup label="Volunteer">
                                            <?php $__currentLoopData = $volntr; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($v->vlntr_id); ?>"><?php echo e($v->vlntr_name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </optgroup>
                                    </select>
                                        
                                </div>    
                            </div>
                                                           
                        </div>                   
                        <div class="row mt-5">
                            <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                <div class="form-group">
                                    <label for="batch_date">Notes</label>
                                    <textarea id="notes" class="form-control" name="notes" placeholder=" Enter notes"> </textarea>
                                </div>    
                            </div>
                            <div class="col-md-5 col-lg-6">
                                <div class="form-group">
                                    <label for="batch_starttime">Generate Ticket</label>
                                        <div class="form-check">
                                                <input class="form-check-input ticket" type="checkbox" name="generate_ticket"
                                                    id="mandatory1" value="Y" >
                                                <label class="form-check-label" for="mandatory1">
                                                    Generate Ticket
                                                </label>
                                        </div>
                                </div>    
                            </div>
                        </div>
                        <div id="more" style="display: none">
                            <div class="row mt-5">
                                <div class="col-md-5 col-lg-6">
                                    <div class="form-group">
                                        <label for="batch_duration">Ticket Title</label>
                                        <input type="text" class="form-control" name="ticket_title" id="batch_duration" aria-describedby="helpId" placeholder=" Enter ticket title">
                                    </div>    
                                </div>

                                <div class="col-md-5 col-lg-6">
                                    <div class="form-group">
                                        <label for="batch_date">Ticket Priority</label>
                                        <select class="form-control" name="ticket_priority">
                                            <option value='' selected disabled>Select</option>
                                            <option></option>
                                            <option value="High">High</option>
                                            <option value="Medium">Medium</option>
                                            <option value="Low">Low</option>
                                        </select>

                                    </div>    
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                    <div class="form-group">
                                        <label for="batch_duration">Ticket Description</label>
                                        <textarea id="ticket_desc" class="form-control" name="ticket_desc" placeholder="Enter ticket Description"> </textarea>
                                    </div>    
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                    <button type="submit" class="btn btn-danger">Add Notes</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
    <div class="card">
        <div class="card-header">
            <div class="row w-100">
            <div class="col-6">
                   <div class="card-title mt-3">Drop-in Session Update<br /><br /></div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3"><button class="btn btn-info mt-3 float-end" data-bs-toggle="modal" data-bs-target="#normalmodal">
                       <i class="fa fa-plus"></i>Add Notes
                   </button></div>
               </div>
               <div class="col-6">
                   <div class="card-title mt-3">Batch No:&emsp;&emsp;<?php echo e($dropinsession->batch_no); ?></div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3">Date:&emsp;&emsp;&emsp;&emsp;<?php echo e($dropinsession->start_date); ?></div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3">Start Time: &emsp;<?php echo e(date('h:i:s a', strtotime($dropinsession->start_time))); ?></div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3">Duration:&emsp;&emsp; <?php echo e($dropinsession->duration); ?></div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3">Clinician: &emsp;&emsp;<?php echo e($dropinsession->clinicianuser->first_name); ?> <?php echo e($dropinsession->clinicianuser->last_name); ?></div>
               </div>
               <div class="col-6">
                    <div class="card-title mt-3">Zoom Link:&emsp; <?php echo e($dropinsession->zoom_link); ?></div>
               </div>
           </div>
       </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Notes</th>
                            <th>Ticket</th>
                            <th></th>
                        </tr>
                    </thead>
                      <tbody>
                          <?php $__currentLoopData = $dropinsession->volunteers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                             <tr>
                                <td><?php echo e($item->user->first_name); ?></td>
                                 <td><?php echo e($item->notes); ?></td>
                                 <td style="vertical-align: top;text-align:left">&emsp;&emsp;<input class="form-check-input" type="checkbox" disabled <?php if($item->generate_ticket=='Y'): ?> checked <?php endif; ?>></td>
                                 <td><a data-bs-toggle="modal" data-bs-target="#modelupdate<?php echo e($item->user->id); ?>" class="btn btn-success" href="">Update</a>
                                 <a data-bs-toggle="modal" data-bs-target="#modelremove<?php echo e($item->user->id); ?>" class="btn btn-danger" href="">Remove</a></td>
                                  
                                  <div class="modal fade" id="modelremove<?php echo e($item->user->id); ?>" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal">Remove 
                                                   </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="<?php echo e(route('admin.session.removevolunteer')); ?>"
                                                method="POST">
                                                <?php echo csrf_field(); ?>
                                                <div class="modal-body">  
                                                    <input type="hidden" name="dropin_session_id" value="<?php echo e($item->dropin_session_id); ?>">                 
                                                    <input type="hidden" name="volunteer_id" value="<?php echo e($item->volunteer_id); ?>">  
                                                    <label for="batch_title">Are you sure to remove notes for <?php echo e($item->user->first_name); ?>.</label> 
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info"
                                                        data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-danger">Remove</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                                  <div class="modal fade" id="modelupdate<?php echo e($item->user->id); ?>" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal">Update 
                                                   </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="<?php echo e(route('admin.session.updatevolunteer')); ?>"
                                                method="POST">
                                                <?php echo csrf_field(); ?>
                                                <div class="modal-body">  
                                                    <input type="hidden" name="dropin_session_id" value="<?php echo e($item->dropin_session_id); ?>">                 
                                                    <input type="hidden" name="volunteer_id" value="<?php echo e($item->volunteer_id); ?>">                 
                                                        <div class="row mt-5">
                                                                    <div class="col-md-5 col-lg-6">
                                                                        <div class="form-group">
                                                                            <label for="batch_title">Volunteer</label>
                                                                            <input class="form-control" type="text" disabled value="<?php echo e($item->user->first_name); ?>">
                                                                        </div>    
                                                                    </div>
                                                                   
                                                            
                                                       </div>
                                               
                                                             <div class="row mt-5">
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_date">Notes</label>
                                                                        <input type="text" class="form-control " value="<?php echo e($item->notes); ?>" name="notes" id="notes" aria-describedby="helpId" placeholder=" Enter notes">
                                                                    </div>    
                                                                </div>
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_starttime">Generate Ticket</label>
                                                                            <div class="form-check">
                                                                                    <input class="form-check-input ticket" type="checkbox" name="generate_ticket"
                                                                                        id="mandatory1" value="Y" <?php if($item->generate_ticket=='Y'): ?> checked <?php endif; ?> >
                                                                                    <label class="form-check-label" for="mandatory1">
                                                                                        Generate Ticket
                                                                                    </label>
                                                                            </div>
                                                                    </div>    
                                                                </div>
                                                        </div>
                                                         <div id="more" <?php if($item->generate_ticket=='Z'): ?> style="display: none" <?php endif; ?>>
                                                            <div class="row mt-5">
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_duration">Ticket Title</label>
                                                                        <input type="text" value="<?php echo e($item->ticket_title); ?>" class="form-control" name="ticket_title" id="batch_duration" aria-describedby="helpId" placeholder=" Enter ticket title">
                                                                    </div>    
                                                                </div>

                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_date"></label>Ticket Priority
                                                                        <select class="form-control" name="ticket_priority">
                                                                            <option></option>
                                                                            <option value="High"    <?php if($item->ticket_priority == "High"): ?> selected <?php endif; ?> >High</option>
                                                                            <option value="Medium"  <?php if($item->ticket_priority == "Medium"): ?> selected <?php endif; ?> >Medium</option>
                                                                            <option value="Low"     <?php if($item->ticket_priority == "Low"): ?> selected <?php endif; ?>>Low</option>
                                                                        </select>
                                                                    </div>    
                                                                </div>
                                                        </div>

                                                        <div class="row mt-5">
                                                            <div class="col-md-5 col-lg-6">
                                                                <div class="form-group">
                                                                    <label for="batch_duration">Ticket Description</label>
                                                                    <input type="text"  value="<?php echo e($item->ticket_desc); ?>" class="form-control" name="ticket_desc" id="ticket_desc" aria-describedby="helpId" placeholder=" Enter ticket Description">
                                                                </div>    
                                                            </div>
                                                        </div>

                                                         </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info"
                                                        data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-danger">Update</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            
                             </tr>
                              
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </tbody>
                </table>
            </div>
        </div>
        <div class="card-footer">
            <div class="row w-100">
                <div class="col-6">
                   <div class="card-title mt-3"></div>
               </div>
               <div class="col-6">
                    <form action="<?php echo e(route('admin.session.close')); ?>"
                        method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">  
                            <input type="hidden" name="dropin_session_id" value="<?php echo e($dropinsession->id); ?>">                 
                        </div>
                        <div class="modal-footer">
                            <a class="btn btn-primary" href="<?php echo e(route('admin.session.index')); ?>">Save</a>
                            <button  type="submit" class="btn btn-primary" onclick="return confirm('Are you sure to close drop-in session?')">
                            Save and Close
                            </button>
                        </div>
                    </form>
               </div>
            </div>
        </div>
    </div>
    
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>





<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script>
    $(document).ready(function(){
        $('.duration').inputmask('99:99');
        $('#volunteer_id').select2({
        dropdownParent: $('#normalmodal')
        });
    });
    $(document).on("click", ".ticket", function () {
   var check =$(this).is(':checked');//($(this).val());    // Here you will get the current selected/checked radio option value
    console.log(check);
   if(check==true){
     $('#more').show();
   }
   else{
    $('#more').hide();
   }

});
</script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.include.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/saychees/tipoa.saycheese.com.pk/DevAutoMIS/resources/views/admin/session/update.blade.php ENDPATH**/ ?>