<?php $__env->startSection('title'); ?>
Drop-in Session
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="modal fade" id="normalmodal" tabindex="-1" role="dialog" aria-labelledby="normalmodal"
        aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="normalmodal1">Add Drop-in Session</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>

                <form action="<?php echo e(route('admin.session.store')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        
                                

                                    <div class="row mt-5">
                                                <div class="col-md-5 col-lg-6">
                                                    <div class="form-group">
                                                        <label for="start_date">Date</label>
                                                        <input type="date"   class="form-control <?php $__errorArgs = ['start_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  name="start_date" id="start_date" aria-describedby="helpId" placeholder=" Enter date">
                                                          <?php $__errorArgs = ['start_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong><?php echo e($message); ?></strong>
                                                            </span>
                                                         <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </div>    
                                                </div>
                                                <div class="col-md-5 col-lg-6">
                                                    <div class="form-group">
                                                        <label for="start_time">Start Time</label>
                                                        <input type="time" class="form-control <?php $__errorArgs = ['start_time'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  name="start_time" id="start_time" aria-describedby="helpId" placeholder=" Enter Start Time">
                                                          <?php $__errorArgs = ['start_time'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong><?php echo e($message); ?></strong>
                                                            </span>
                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </div>    
                                                </div>  
                                        
                                   </div>
                           
                                         <div class="row mt-5">
                                            <div class="col-md-5 col-lg-6">
                                                <div class="form-group">
                                                    <label for="duration">Duration</label>
                                                    <input type="text" class="form-control <?php $__errorArgs = ['duration'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> duration" name="duration" id="duration" aria-describedby="helpId"  pattern="[0-9]{2}:[0-9]{2}" placeholder="00:00">
                                                     <?php $__errorArgs = ['duration'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong><?php echo e($message); ?></strong>
                                                            </span>
                                                      <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>    
                                            </div>
                                            <div class="col-md-5 col-lg-6">
                                                <div class="form-group">
                                                    <label for="clinician">Clinician</label>
                                                    <select class="form-control select2-show-search <?php $__errorArgs = ['interviewer_primary_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="interviewer_primary_id"
                                                        name="clinician" data-placeholder="Select Clinician">
                                                        <optgroup label="Primary Clinician">
                                                            <option value="" disabled selected>Select Clinician</option>
                                                            <?php $__currentLoopData = $tip; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option value="<?php echo e($item->id); ?>"><?php echo e($item->get_name()); ?></option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </optgroup>
                                                    </select>
                                                    <!--<input type="text" class="form-control <?php $__errorArgs = ['clinician'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  name="clinician" id="clinician" aria-describedby="helpId" placeholder=" Enter clinician">-->
                                                        <?php $__errorArgs = ['clinician'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong><?php echo e($message); ?></strong>
                                                            </span>
                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </div>    
                                            </div>
                                    </div>
                                     <div class="row mt-5">
                                            <div class="col-md-5 col-lg-6">
                                                <div class="form-group">
                                                    <label for="zoom_link">Zoom Link</label>
                                                    <input type="text" class="form-control <?php $__errorArgs = ['zoom_link'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="zoom_link" id="zoom_link" aria-describedby="helpId" placeholder=" Enter zoom link">
                                                        <?php $__errorArgs = ['zoom_link'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong><?php echo e($message); ?></strong>
                                                                </span>
                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>    
                                            </div>
                                    </div>
                             
                              
                   </div>
                   
                    <div class="modal-footer">
                        <!--<button type="button" class="btn btn-info" data-bs-dismiss="modal">Close</button>-->
                        <button type="submit" class="btn btn-danger">Save</button>
                    </div>
                </form>
            </div>
    </div>
</div>
    <div class="card">
        <div class="card-header">
            <div class="row w-100">
               <div class="col-6">
                   <div class="card-title mt-3">Drop-in Session</div>
               </div>
               <div class="col-6">
                   <button class="btn btn-info mt-3 float-end" data-bs-toggle="modal" data-bs-target="#normalmodal">
                       <i class="fa fa-plus"></i>New Drop-in Session
                   </button>
               </div>
           </div>
       </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Batch No</th>
                            <th>Date</th>
                            <th>Start Time</th>
                            <th>Duration</th>
                            <th>Clinician</th>
                            <th>zoom Link</th>

                        </tr>
                    </thead>
                      <tbody>
                          <?php $__currentLoopData = $session; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                             <tr <?php if($item->status=="C"): ?> class="table-success" <?php endif; ?>>
                                <td><?php echo e($item->batch_no); ?></td>
                                 <td><?php echo e($item->start_date); ?></td>
                                 <td><?php echo e(date('h:i:s a', strtotime($item->start_time))); ?></td>
                                 <td><?php echo e($item->duration); ?></td>
                                 <td><?php echo e($item->clinicianuser->first_name); ?> <?php echo e($item->clinicianuser->last_name); ?></td>
                                 <td><?php echo e($item->zoom_link); ?></td>
                                 <td>
                                     <?php if($item->status=="O"): ?>
                                     <a href="<?php echo e(route('admin.session.update',$item->id)); ?>" class="btn btn-success" href="">Update</a>
                                     <?php else: ?>
                                     <a data-bs-toggle="modal" class="btn btn-primary m-1" data-bs-target="#modelreport<?php echo e($item->id); ?>"> Report</a>
                                     <?php endif; ?>
                                 </td>
                                 
                                 <div class="modal fade" id="modelreport<?php echo e($item->id); ?>" tabindex="-1" role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog modal-lg" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title"
                                                        id="normalmodal1"> Report of <?php echo e($item->batch_no); ?>

                                                    </h5>
                                                    <button type="button"
                                                        class="btn-close"
                                                        data-bs-dismiss="modal"Report
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                    <div class="modal-body">
                                                        
                                        <div class="modal-body">
                                            <?php $__currentLoopData = $item->volunteers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $train): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                
                                            <div class="row">
                                                <div class="col-4"><strong>Name: </strong><?php echo e(ucfirst($train->user->get_name())); ?></div>
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <div class="form-check">
                                                            <label for="notes<?php echo e($item->id); ?>"><strong>Notes:</strong>  <?php echo e($train->notes); ?></label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <div class="form-check">
                                                            <label class="form-check-label" for="attendece<?php echo e($train->id); ?>">
                                                                <strong>Ticket Generated:</strong>  <?php if($train->generate_ticket == "Y"): ?> Yes <?php else: ?> No <?php endif; ?> 
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div  <?php if($train->generate_ticket != 'Y'): ?> style="display: none" <?php endif; ?>>
                                                <div class="row">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="ttile<?php echo e($item->id); ?>"><strong>Ticket Title:</strong> <?php echo e($train->ticket_title); ?></label>
                                                        </div>    
                                                    </div>

                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="batch_date"></label><strong>Ticket Priority:</strong> <?php echo e($train->ticket_priority); ?>  </label> 
                                                        </div>    
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="ticket_desc<?php echo e($item->id); ?>"><strong>Ticket Description:</strong> <?php echo e($train->ticket_desc); ?> </label>
                                                          </div>    
                                                    </div>
                                                </div>
                                            </div>

                                            <hr>

                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                            </div>
                                        </div>
                                    </div>
                                
                                  
                                  <div class="modal fade" id="modelupdate<?php echo e($item->id); ?>" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal">Update 
                                                   </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="<?php echo e(route('admin.session.detail')); ?>"
                                                method="POST">
                                                <?php echo csrf_field(); ?>
                                                <div class="modal-body">  
                                                    <input type="hidden" name="dropin_session_id" value="<?php echo e($item->id); ?>">                 
                                                        <div class="row mt-5">
                                                                    <div class="col-md-5 col-lg-6">
                                                                        <?php
                                                                            $volntr= App\Models\Volunteer::get();
                                                                        ?>
                                                                        <div class="form-group">
                                                                            <label for="batch_title">Volunteer</label>
                                                                            <select class="form-control select2-show-search " id="training_batch"
                                                                            name="volunteer_id" data-placeholder="Choose one (with searchbox)">
                                                                                <optgroup label="Volunteer">
                                                                                    <?php $__currentLoopData = $volntr; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                        <option value="<?php echo e($v->id); ?>"><?php echo e($v->vlntr_name); ?></option>
                                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                                </optgroup>
                                                                            </select>
                                                                             
                                                                        </div>    
                                                                    </div>
                                                                    <div class="col-md-5 col-lg-6">
                                                                        <?php
                                                                        $user= App\Models\User::where('user_type','client')->get();
                                                                    ?>
                                                                        <div class="form-group">
                                                                            <label for="client_id">Client</label>
                                                                            <select class="form-control select2-show-search " id="client_id"
                                                                            name="client_id" data-placeholder="Choose one (with searchbox)">
                                                                                <optgroup label="Volunteer">
                                                                                    <?php $__currentLoopData = $user; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $u): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                        <option value="<?php echo e($u->id); ?>"><?php echo e($u->first_name); ?></option>
                                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                                </optgroup>
                                                                            </select>
                                                                        </div>    
                                                                    </div>  
                                                            
                                                       </div>
                                               
                                                             <div class="row mt-5">
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_date">Notes</label>
                                                                        <input type="text" class="form-control " name="notes" id="notes" aria-describedby="helpId" placeholder=" Enter notes">
                                                                    </div>    
                                                                </div>
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_starttime">Generate Ticket</label>
                                                                            <div class="form-check">
                                                                                    <input class="form-check-input ticket" type="checkbox" name="generate_ticket"
                                                                                        id="mandatory1" value="Y" >
                                                                                    <label class="form-check-label" for="mandatory1">
                                                                                        Generate Ticket
                                                                                    </label>
                                                                            </div>
                                                                    </div>    
                                                                </div>
                                                        </div>
                                                         <div id="more" style="display: none">
                                                            <div class="row mt-5">
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_duration">Ticket Title</label>
                                                                        <input type="text" class="form-control" name="ticket_title" id="batch_duration" aria-describedby="helpId" placeholder=" Enter ticket title">
                                                                    </div>    
                                                                </div>

                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_date"></label>Ticket Priority
                                                                        <input type="text" class="form-control " name="ticket_priority" id="ticket_priority" aria-describedby="helpId" placeholder=" Enter ticket priority">
                                                                    </div>    
                                                                </div>
                                                        </div>

                                                        <div class="row mt-5">
                                                            <div class="col-md-5 col-lg-6">
                                                                <div class="form-group">
                                                                    <label for="batch_duration">Ticket Description</label>
                                                                    <input type="text" class="form-control" name="ticket_desc" id="ticket_desc" aria-describedby="helpId" placeholder=" Enter ticket Description">
                                                                </div>    
                                                            </div>
                                                        </div>

                                                         </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info"
                                                        data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-danger">Update</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            
                             </tr>
                              
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </tbody>
                </table>
            </div>
        </div>
    </div>
    
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>





<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script>
    $(document).ready(function(){
        $('.duration').inputmask('99:99');
        
        });
    $(document).on("change", ".ticket", function () {
   var check =($(this).val());    // Here you will get the current selected/checked radio option value
    console.log(check);
   if(check=="Y"){
     $('#more').show();
   
   }
   else{
    $('#more').hide();
   }

});
</script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.include.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/saychees/tipoa.saycheese.com.pk/DevAutoMIS/resources/views/admin/session/index.blade.php ENDPATH**/ ?>