<?php $__env->startSection('title'); ?>
Closed Training Batch
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="card">
        <div class="card-header">
            <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">Closed Training Batch</div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr> 
                            <th>Batch No</th>
                            <th>Date</th>
                            <th>Time </th>
                            <th>Duration</th>
                            <th>Attended</th>
                            <th>Trainers</th>
                            <th>Report</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $training; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="table-subheader <?php if($item->is_mandatory == 'special'): ?> table-success <?php endif; ?>">
                                <td><?php echo e($item->batch_no); ?></td>
                                <td><?php echo e($item->batch_date); ?></td>
                                <td><?php echo e(date('h:i A', strtotime($item->batch_starttime))); ?></td>
                                <td><?php echo e($item->batch_duration); ?></td>
                                <td><?php echo e($item->attended_trainers()); ?> of <?php echo e($item->batch_max_trainee); ?></td>
                                <?php if($item->batch == null): ?>
                                    <td> No trainer yet assign</td>
                                <?php else: ?>
                                    <td>
                                    <?php $__currentLoopData = $item->batch; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $batchtrainer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($batchtrainer->tbt_type == 'M'): ?>
                                            [M] <?php echo e($batchtrainer->main_trainer->get_name()); ?><br />
                                        <?php elseif($batchtrainer->tbt_type == 'MD'): ?>
                                            <span style="font-weight:bold;color:red">[M]  None</span>
                                        <?php endif; ?>
                                        
                                        <?php if($batchtrainer->tbt_type == 'S'): ?>
                                            [S] <?php echo e($batchtrainer->main_trainer->get_name()); ?><br />
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <td>
                                <?php endif; ?>
                                <td style="align:left">
                                    <a data-bs-toggle="modal"
                                    class="btn btn-primary m-1"
                                    data-bs-target="#modelreport<?php echo e($item->id); ?>">
                                    Report</a>
                               
                                    <div class="modal fade" id="modelreport<?php echo e($item->id); ?>" tabindex="-1" role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog modal-lg" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title"
                                                        id="normalmodal1"> Report of <?php echo e($item->batch_no); ?>

                                                    </h5>
                                                    <button type="button"
                                                        class="btn-close"
                                                        data-bs-dismiss="modal"Report
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                    <div class="modal-body">
                                                        
                                        <div class="modal-body">
                                            <?php $__currentLoopData = $item->trainees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $train): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                
                                            <div class="row">
                                                <div class="col-4"><strong>Name: </strong><?php echo e(ucfirst($train->user->get_name())); ?></div>
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <div class="form-check">
                                                            <label class="form-check-label" for="attendece<?php echo e($train->id); ?>">
                                                                <strong>Attended Training:</strong>  <?php if($train->tbtu_attendance != null && $train->tbtu_attendance == "Y"): ?> Yes <?php else: ?> No <?php endif; ?> 
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <div class="form-check">
                                                            <label class="form-check-label" for="gticket<?php echo e($train->id); ?>">
                                                                <strong>Generated Ticket:</strong> <?php if( $train->tbtu_ticket_id != null && $train->tbtu_ticket_id > 0 ): ?> Yes <?php else: ?> No <?php endif; ?>
                                                            </label>
                                                            </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="att<?php echo e($train->id); ?>" <?php if($train->tbtu_attendance != "Y"): ?> style="display: none" <?php endif; ?>> 
                                                <div class="row">
                                                    <div class="col-6">
                                                        <label for="skills<?php echo e($item->id); ?>"><strong>Skills:</strong> <?php echo e($train->tbtu_skills); ?></label>
                                                    </div>
                                                    <div class="col-6">
                                                        <label for="notes<?php echo e($item->id); ?>"><strong>Notes:</strong>  <?php echo e($train->tbtu_notes); ?></label>                                                    
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="more<?php echo e($train->id); ?>"  <?php if($train->tbtu_ticket_id == null): ?> style="display: none" <?php endif; ?>>
                                                <div class="row">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="ttile<?php echo e($item->id); ?>"><strong>Ticket Title:</strong> <?php if($train->tbtu_ticket_id != null): ?> <?php echo e($train->ticket->subject); ?> <?php endif; ?></label>
                                                        </div>    
                                                    </div>

                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="batch_date"></label><strong>Ticket Priority:</strong> <?php if($train->tbtu_ticket_id != null): ?> <?php echo e($train->ticket->type); ?> <?php endif; ?>: 
                                                        </div>    
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="ticket_desc<?php echo e($item->id); ?>"><strong>Ticket Description:</strong> <?php if($train->tbtu_ticket_id !=null): ?> <?php echo e($train->ticket->description); ?> <?php endif; ?></label>
                                                          </div>    
                                                    </div>
                                                </div>
                                            </div>

                                            <hr>

                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>

                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>
                </table>
            </div>
        </div>
    </div>



<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(document).on("click", ".trainee", function() {
            var t = ($(this).val());
            b = $(this).data('batch');
            console.log(b);
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': "<?php echo e(csrf_token()); ?>",
                }
            });
            $.ajax({
                url: "<?php echo e(route('admin.training.trainee_check')); ?>",
                type: "GET",
                data: {
                    trainee_id: t,
                    batch_id: b,
                },
                success: function(result) {
                    if (result.status == "1") {
                        $("#trainee").val(result.trainee);
                        $("#batch").val(result.batch);
                        var myModal = new bootstrap.Modal(document.getElementById('largemodal1'), {
                            keyboard: false
                        })
                        myModal.show();

                        var myModal = document.getElementById('largemodal');
                        var modal = bootstrap.Modal.getInstance(
                            myModal) // Returns a Bootstrap modal instance
                        modal.hide();



                    }
                }


            });

        });
    </script>

    <script>
        $('.traine').on('click', function() {
            id = $(this).data('id');
            console.log(id);
            $('#home' + id).load($(this).data('href'));
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.include.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/saychees/tipoa.saycheese.com.pk/DevAutoMIS/resources/views/admin/training/closed.blade.php ENDPATH**/ ?>