<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DropInSession extends Model
{
    use HasFactory;
    protected $fillable = [
        'batch_no',
       'start_date',
        'start_time',
        'duration',
        'clinician',
        'zoom_link',
        'status',
        'updated_by',
    ];
    public function volunteers(){
        return $this->hasMany('App\Models\DropInSessionDetail', 'dropin_session_id');
    }
    public function clinicianuser(){
        return $this->belongsto('App\Models\User', 'clinician');
    }
}
