<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VolunteerFormOne extends Model
{
    protected $table = 'volunteer_form_one';
    use HasFactory;
    protected $fillable = [
        'surname',
        'first_name',
        'dob',
        'gender',
        'phone_no',
        'address',
        'apt_no',
        'city',
        'province',
        'potal_code',
        'previous_address',
        'pre_apt_no',
        'pre_city',
        'pre_province',
        'pre_postal_code',
        'offence_date',
        'conviction_date',
        'offence_place',
        'charge_offence_date',
        'charge_conviction_date',
        'charge_offence_place',
        'court_offence_date',
        'court_conviction_date',
        'court_offence_place',
        'volunteer_id',
        'is_conviction',
        'is_charges',
        'is_order',
        'volunteer_id',
    ];

    function volunteer(){
         return $this->belongsto('App\Models\User', 'volunteer_id');
    }
}
