<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrainingBatchTrainersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('training_batch_trainers', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('tbt_trainer_id')->nullable();
            $table->bigInteger('tbt_standbytrainer_id')->nullable();
            $table->bigInteger('tbt_batch_id')->nullable();
            $table->string('tbt_type')->nullable();
            $table->char('tbt_status',1)->nullable();
            $table->string('tbt_recordtype')->nullable();
            $table->bigInteger('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('training_batch_trainers');
    }
}
