@extends('admin.include.main')
@section('title', 'Shortlisted Volunteer Applications Queue')
@section('content')
@php
use App\Models\InterviewSlot;
@endphp
    <div class="card">
        <div class="card-header">
            <div class="card-title">Shortlisted Volunteer Applications Queue</div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Age</th>
                            <th>Gender</th>
                            <th>Languages</th>
                            <th>Interview</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($applications as $item)
                            <tr class="table-subheader">
                                <td>{{ $item->full_name }}</td>
                                <td>
                                    @php
                                        $age = explode("/",$item->age_slot);
                                        $gender = explode("/",$item->gender);
                                    @endphp
                                    {{ $age[0] }}
                                </td>
                                <td>{{ $gender[0] }}</td>
                                @php
                                    
                                @endphp
                                <td>
                                       @foreach($item->user->languages as $value)
                                       {{$value->language->name}}<br>
                                       @endforeach
                                       @php
                                        $cntotl=1;
                                        $arrotl = explode(",",$item->speak_languages_other);
                                        foreach( $arrotl as $otl){
                                            if($cntotl>1)
                                                print("<br>");
                                            $cntotl = $cntotl+1;
                                            $olang =  explode(" ",trim($otl));
                                            print ($olang[0]);
                                        }
                                        @endphp
                                        
                                </td>
                                <td>
                                    @if ($item->user->linterview != null)
                                        {{ $item->user->linterview->date }} {{ $item->user->linterview->time }}
                                    @else
                                        Not Yet Selected
                                    @endif
                                </td>
                            </tr>
                            {{-- @if ($item->status == 'S') --}}
                            <tr style="display:none">
                                <td colspan="9">
                                    <div class="">
                                        <div class="panel panel-primary receipts-inline-table border-0">
                                            <div class="tab-menu-heading p-0 border-0">
                                                <div class="tabs-menu1">
                                                    <!-- Tabs -->
                                                    <ul class="nav panel-tabs">
                                                        <li class=""><a href="#tab1" class="active"
                                                                data-bs-toggle="tab"></a>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                            <div class="panel-body tabs-menu-body p-0 border-0">
                                                <div class="tab-content">
                                                    <div class="tab-pane active" id="tab1">
                                                        <table class="table detail-transaction">
                                                            <tbody>
                                                                <tr>
                                                                    <th class="d-flex">
                                                                        @if ($item->status == 'S')
                                                                            <a href="javascript:void(0)"
                                                                                class=" act btn btn-primary m-1 "
                                                                                data-title="Accept {{ $item->full_name }}<br />Interview Sheet"
                                                                                data-href="{{ route('admin.application.accept', $item->user_id) }}">
                                                                                Accept <!--{{ $item->user->get_name() }}-->
                                                                            </a>
                                                                            <a href="javascript:void(0)"
                                                                                class=" act btn btn-primary m-1  "
                                                                                data-title="Accept (On Hold) {{ $item->full_name }}"
                                                                                data-href="{{ route('admin.application.hold', $item->user_id) }}">
                                                                                Accept <!--{{ $item->user->get_name() }} as
                                                                                Volunteer -->(On Hold)
                                                                            </a>
                                                                            <a data-bs-toggle="modal"
                                                                                class="btn btn-primary m-1"
                                                                                data-bs-target="#modelrej{{ $item->id }}">Reject</a>

                                                                            <a href="javascript:void(0)"
                                                                                class=" act btn btn-primary m-1 "
                                                                                data-title="{{ $item->full_name }} Judicial Record Self Declaration Form"
                                                                                data-href="{{ route('admin.application.form1show', $item->id) }}">Form
                                                                                1</a>
                                                                                <a href="javascript:void(0)"
                                                                                class=" act btn btn-primary m-1 "
                                                                                data-title="{{ $item->full_name }} JGH Volunteer Application Form"
                                                                                data-href="{{ route('admin.application.form2show', $item->id) }}">Form
                                                                                2</a>
                                                                            <a href="javascript:void(0)"
                                                                                class=" act btn btn-primary m-1 "
                                                                                data-title="{{ $item->full_name }} Confidentiality Agreement"
                                                                                data-href="{{ route('admin.application.form3show', $item->id) }}">Form
                                                                                3</a>
                                                                            <a data-bs-toggle="modal"
                                                                                data-bs-target="#modelclose{{ $item->id }}"
                                                                                class="btn btn-primary m-1 "
                                                                                href="#">Close</a>
                                                                        @elseif($item->status == 'R')
                                                                            <a href="javascript:void(0)"
                                                                                class=" act btn btn-primary m-1  "
                                                                                data-title="Hold on {{ $item->full_name }}"
                                                                                data-href="{{ route('admin.application.hold', $item->user_id) }}">
                                                                                Hold on</a>
                                                                            <a data-bs-toggle="modal"
                                                                                data-bs-target="#modelshort{{ $item->id }}"
                                                                                class="btn btn-primary m-1 "
                                                                                href="#">ShortList</a>

                                                                        @else
                                                                            <a href="javascript:void(0)"
                                                                                class=" act btn btn-primary m-1  "
                                                                                data-title="Hold on {{ $item->full_name }}"
                                                                                data-href="{{ route('admin.application.hold', $item->user_id) }}">
                                                                                Hold on</a>
                                                                            <a data-bs-toggle="modal"
                                                                                class="btn btn-primary m-1"
                                                                                data-bs-target="#modelrej{{ $item->id }}">Reject</a>
                                                                            <a data-bs-toggle="modal"
                                                                                data-bs-target="#modelshort{{ $item->id }}"
                                                                                class="btn btn-primary m-1 "
                                                                                href="#">ShortList</a>

                                                                        @endif

                                                                    </th>
                                                                    <div class="modal fade"
                                                                        id="modelclose{{ $item->id }}" tabindex="-1"
                                                                        role="dialog" aria-labelledby="normalmodal"
                                                                        aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title"
                                                                                        id="normalmodal">Close {{$item->user->get_name()}} Application</h5>
                                                                                    <button type="button"
                                                                                        class="btn-close"
                                                                                        data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                <form
                                                                                    action="{{ route('admin.application.status', [$item->id, 'C']) }}"
                                                                                    method="POST" class="form">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                <div class="modal-body">
                                                                                    <div class="row">
                                                                                        <div class="col-12">
                                                                                            <p>Please provide the reason to
                                                                                                close Volunteer’s
                                                                                                Application.</p>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="row">
                                                                                        <div class="col">
                                                                                            <div class="form-group">
                                                                                                <label for="reason">Internal
                                                                                                    Reason</label>
                                                                                                <input type="text"
                                                                                                    class="form-control"
                                                                                                    name="internal_reason"
                                                                                                    id="creason{{$item->id}}"
                                                                                                    aria-describedby="helpId"
                                                                                                    placeholder=" Enter Resson For Closing">
                                                                                                <!--<input type="text" class="form-control"  id="reason{{$item->id}}" required  name="internal_reason" aria-describedby="helpId" placeholder="Enter Resson For Closing">-->
                                                                                                <small
                                                                                                    class="text-danger crerror"></small>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="row">
                                                                                        <div class="col">
                                                                                            <div class="form-group">
                                                                                                <label
                                                                                                    for="ereason">External
                                                                                                    Reason</label>
                                                                                                    <input type="text" class="form-control" id="ereason{{$item->id}}" required name="external_reason" aria-describedby="helpId" placeholder="Enter Resson For Closing">
                                                                                                <small class="text-danger ceerror"></small>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="modal-footer">
                                                                                    <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure to close {{$item->user->get_name()}} application?')">Close</button>
                                                                                </div>
                                                                                </form>
                                                                            </div>
                                                                        </div>
                                                                    </div>

                                                                    <div class="modal fade"
                                                                        id="modelrej{{ $item->id }}" tabindex="-1"
                                                                        role="dialog" aria-labelledby="normalmodal"
                                                                        aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title"
                                                                                        id="normalmodal1">Reject
                                                                                        {{$item->user->get_name()}} Application</h5>
                                                                                    <button type="button"
                                                                                        class="btn-close"
                                                                                        data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                @if(InterviewSlot::Where('interviewee_id', $item->user->id)->Where('status', 'A')->first()==null)
                                                                                <div class="modal-body">
                                                                                    <div class="row">
                                                                                        <div class="col-12">
                                                                                            <span class="tx-danger">Can’t reject interview sheet because <br />candidate has not selected an interview slot</spanp>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                @else
                                                                                <form
                                                                                    action="{{ route('admin.application.status', [$item->id, 'R']) }}"
                                                                                    method="POST">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                <div class="modal-body">
                                                                                    <div class="row">
                                                                                        <div class="col-12">
                                                                                            <p>Please provide the reason to
                                                                                                reject Volunteer’s
                                                                                                Application.</p>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="row">
                                                                                        <div class="col">
                                                                                            <div class="form-group">
                                                                                                <label for="reason">Internal
                                                                                                    Reason</label>
                                                                                                <input type="text"
                                                                                                    class="form-control"
                                                                                                    id="reason" required  name="internal_reason"
                                                                                                    aria-describedby="helpId"
                                                                                                    placeholder=" Enter Resson For Rejection">
                                                                                                <small
                                                                                                    class="text-danger" id="rerror{{$item->id}}"></small>

                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="row">
                                                                                        <div class="col">
                                                                                            <div class="form-group">
                                                                                                <label
                                                                                                    for="ereason">External
                                                                                                    Reason</label>
                                                                                                <input type="text"
                                                                                                    class="form-control"
                                                                                                    id="ereason" required name="external_reason"
                                                                                                    aria-describedby="helpId"
                                                                                                    placeholder=" Enter Resson For Rejection">
                                                                                                <small class="text-danger" id="eerror{{$item->id}}"></small>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="modal-footer">
                                                                                        <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure to reject {{$item->user->get_name()}} application?')">Reject</button>
                                                                                </div>
                                                                                </form>
                                                                                @endif
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="modal fade"
                                                                        id="modelshort{{ $item->id }}" tabindex="-1"
                                                                        role="dialog" aria-labelledby="normalmodal"
                                                                        aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title"
                                                                                        id="normalmodal">Shortlist
                                                                                        {{ $item->full_name }}</h5>
                                                                                    <button type="button"
                                                                                        class="btn-close"
                                                                                        data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                <form
                                                                                    action="{{ route('admin.application.status', [$item->id, 'S']) }}"
                                                                                    method="POST">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                    <div class="modal-body">
                                                                                        Are you sure to shortlist
                                                                                        the Application?
                                                                                    </div>
                                                                                    <div class="modal-footer">
                                                                                        <button type="submit"
                                                                                            class="btn btn-success">ShortList</button>
                                                                                    </div>
                                                                                </form>
                                                                            </div>
                                                                        </div>
                                                                    </div>
<!-- Reject Accept Form3-->
                                                                    <div class="modal fade"
                                                                        id="modelrejform3{{ $item->id }}" tabindex="-1"
                                                                        role="dialog" aria-labelledby="normalmodal"
                                                                        aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title"
                                                                                        id="normalmodal1">Reject
                                                                                        {{$item->user->get_name()}} JGH Volunteer Application Form</h5>
                                                                                    <button type="button"
                                                                                        class="btn-close"
                                                                                        data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                <div class="modal-body">
                                                                                    <div class="row">
                                                                                        <div class="col-12">
                                                                                            <p>Please provide the reason to
                                                                                                reject Confidentiality Agreement.</p>
                                                                                        </div>
                                                                                    </div>
                                                                                    <form
                                                                                    action="{{ route('admin.form3.status', [$item->id, 'R']) }}"
                                                                                    method="POST">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                        <div class="row">
                                                                                            <div class="col">
                                                                                                <div class="form-group">
                                                                                                    <label for="reason">Internal
                                                                                                        Reason</label>
                                                                                                    <input type="text"
                                                                                                        class="form-control"
                                                                                                        name="internal_reason"
                                                                                                        id="reason"
                                                                                                        aria-describedby="helpId"
                                                                                                        placeholder=" Enter Resson For Rejection">
                                                                                                    <small
                                                                                                        class="text-danger" id="rerror{{$item->id}}"></small>

                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="row">
                                                                                            <div class="col">
                                                                                                <div class="form-group">
                                                                                                    <label
                                                                                                        for="ereason">External
                                                                                                        Reason</label>
                                                                                                    <input type="text"
                                                                                                        class="form-control"
                                                                                                        name="extarnal_reason"
                                                                                                        id="ereason"
                                                                                                        aria-describedby="helpId"
                                                                                                        placeholder=" Enter Resson For Rejection">
                                                                                                    <small class="text-danger" id="eerror{{$item->id}}"></small>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="modal-footer">
                                                                                            <button type="submit" onclick="return confirm('Are you sure you want to reject Confidentiality Agreement?')"
                                                                                            class="btn btn-danger"
                                                                                            >Reject</button>
                                                                                        </div>
                                                                                    </form>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="modal fade"
                                                                        id="modelacceptform3{{ $item->id }}" tabindex="-1"
                                                                        role="dialog" aria-labelledby="normalmodal"
                                                                        aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title"
                                                                                        id="normalmodal">Accept 
                                                                                        Form 3</h5>
                                                                                    <button type="button"
                                                                                        class="btn-close"
                                                                                        data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                <form
                                                                                    action="{{ route('admin.form3.status', [$item->id, 'A']) }}"
                                                                                    method="POST">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                    <div class="modal-body">
                                                                                        Are you sure to accept form?
                                                                                    </div>
                                                                                    <div class="modal-footer">
                                                                                        <button type="submit"
                                                                                            class="btn btn-success">Accept Form</button>
                                                                                    </div>
                                                                                </form>
                                                                            </div>
                                                                        </div>
                                                                    </div>
<!-- End Reject Accept Form3-->                                                                    

<!-- Reject Accept Form2-->
                                                                    <div class="modal fade"
                                                                        id="modelrejform2{{ $item->id }}" tabindex="-1"
                                                                        role="dialog" aria-labelledby="normalmodal"
                                                                        aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title"
                                                                                        id="normalmodal1">Reject
                                                                                        {{$item->user->get_name()}} JGH Volunteer Application Form</h5>
                                                                                    <button type="button"
                                                                                        class="btn-close"
                                                                                        data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                <div class="modal-body">
                                                                                    <div class="row">
                                                                                        <div class="col-12">
                                                                                            <p>Please provide the reason to
                                                                                                reject JGH Volunteer Application Form.</p>
                                                                                        </div>
                                                                                    </div>
                                                                                    <form
                                                                                    action="{{ route('admin.form2.status', [$item->id, 'R']) }}"
                                                                                    method="POST">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                        <div class="row">
                                                                                            <div class="col">
                                                                                                <div class="form-group">
                                                                                                    <label for="reason">Internal
                                                                                                        Reason</label>
                                                                                                    <input type="text"
                                                                                                        class="form-control"
                                                                                                        name="internal_reason"
                                                                                                        id="reason"
                                                                                                        aria-describedby="helpId"
                                                                                                        placeholder=" Enter Resson For Rejection">
                                                                                                    <small
                                                                                                        class="text-danger" id="rerror{{$item->id}}"></small>

                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="row">
                                                                                            <div class="col">
                                                                                                <div class="form-group">
                                                                                                    <label
                                                                                                        for="ereason">External
                                                                                                        Reason</label>
                                                                                                    <input type="text"
                                                                                                        class="form-control"
                                                                                                        name="extarnal_reason"
                                                                                                        id="ereason"
                                                                                                        aria-describedby="helpId"
                                                                                                        placeholder=" Enter Resson For Rejection">
                                                                                                    <small class="text-danger" id="eerror{{$item->id}}"></small>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="modal-footer">
                                                                                            <button type="submit" onclick="return confirm('Are you sure you want to reject JGH Volunteer Application Form?')"
                                                                                            class="btn btn-danger"
                                                                                            >Reject</button>
                                                                                        </div>
                                                                                    </form>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="modal fade"
                                                                        id="modelacceptform2{{ $item->id }}" tabindex="-1"
                                                                        role="dialog" aria-labelledby="normalmodal"
                                                                        aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title"
                                                                                        id="normalmodal">Accept 
                                                                                        Form 1</h5>
                                                                                    <button type="button"
                                                                                        class="btn-close"
                                                                                        data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                <form
                                                                                    action="{{ route('admin.form2.status', [$item->id, 'A']) }}"
                                                                                    method="POST">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                    <div class="modal-body">
                                                                                        Are you sure to accept form?
                                                                                    </div>
                                                                                    <div class="modal-footer">
                                                                                        <button type="submit"
                                                                                            class="btn btn-success">Accept Form</button>
                                                                                    </div>
                                                                                </form>
                                                                            </div>
                                                                        </div>
                                                                    </div>
<!-- End Reject Accept Form2-->                                                                    

<!-- Reject Accept Form-->
                                                                    <div class="modal fade"
                                                                        id="modelrejform{{ $item->id }}" tabindex="-1"
                                                                        role="dialog" aria-labelledby="normalmodal"
                                                                        aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title"
                                                                                        id="normalmodal1">Reject
                                                                                        {{$item->user->get_name()}} Judicial Record Self Declaration Form</h5>
                                                                                    <button type="button"
                                                                                        class="btn-close"
                                                                                        data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                <div class="modal-body">
                                                                                    <div class="row">
                                                                                        <div class="col-12">
                                                                                            <p>Please provide the reason to
                                                                                                reject Judicial Record Self Declaration Form.</p>
                                                                                        </div>
                                                                                    </div>
                                                                                    <form
                                                                                    action="{{ route('admin.form1.status', [$item->id, 'R']) }}"
                                                                                    method="POST">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                        <div class="row">
                                                                                            <div class="col">
                                                                                                <div class="form-group">
                                                                                                    <label for="reason">Internal
                                                                                                        Reason</label>
                                                                                                    <input type="text"
                                                                                                        class="form-control"
                                                                                                        name="internal_reason"
                                                                                                        id="reason"
                                                                                                        aria-describedby="helpId"
                                                                                                        placeholder=" Enter Resson For Rejection">
                                                                                                    <small
                                                                                                        class="text-danger" id="rerror{{$item->id}}"></small>

                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="row">
                                                                                            <div class="col">
                                                                                                <div class="form-group">
                                                                                                    <label
                                                                                                        for="ereason">External
                                                                                                        Reason</label>
                                                                                                    <input type="text"
                                                                                                        class="form-control"
                                                                                                        name="extarnal_reason"
                                                                                                        id="ereason"
                                                                                                        aria-describedby="helpId"
                                                                                                        placeholder=" Enter Resson For Rejection">
                                                                                                    <small class="text-danger" id="eerror{{$item->id}}"></small>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <div class="modal-footer">
                                                                                            <button type="submit" onclick="return confirm('Are you sure you want to reject Judicial Record Self Declaration Form?')"
                                                                                            class="btn btn-danger"
                                                                                            >Reject</button>
                                                                                        </div>
                                                                                    </form>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="modal fade"
                                                                        id="modelacceptform{{ $item->id }}" tabindex="-1"
                                                                        role="dialog" aria-labelledby="normalmodal"
                                                                        aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title"
                                                                                        id="normalmodal">Accept 
                                                                                        Form 1</h5>
                                                                                    <button type="button"
                                                                                        class="btn-close"
                                                                                        data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                <form
                                                                                    action="{{ route('admin.form1.status', [$item->id, 'A']) }}"
                                                                                    method="POST">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                    <div class="modal-body">
                                                                                        Are you sure to accept form?
                                                                                    </div>
                                                                                    <div class="modal-footer">
                                                                                        <button type="submit"
                                                                                            class="btn btn-success">Accept Form</button>
                                                                                    </div>
                                                                                </form>
                                                                            </div>
                                                                        </div>
                                                                    </div>
<!-- End Reject Accept Form-->                                                                    

                                                                </tr>
                                                            </tbody>
                                                        </table>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                </td>
                            </tr>
                            {{-- @endif --}}
                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    {{-- detail model --}}
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal"
        aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')
    <script>
        $(document).on("change", ".empathy_calls", function() {
            var check = ($(this).val()); // Here you will get the current selected/checked radio option value
            if (check == "O") {
                $('#task').show();
            } else {
                $('#task').hide();
            }


        });
    </script>

    <script>
        @if (session('status') == 'add')
            $('.dat').load("{{ session('href') }}");
            var myModal = new bootstrap.Modal(document.getElementById('largemodal'), {
            keyboard: false
            })
        @elseif(session('status') == 'edit')
            $('.dat').load("{{ session('href') }}");
            var myModal = new bootstrap.Modal(document.getElementById('largemodal'), {
            keyboard: false
            })
            myModal.show();
        
        @endif
        $(document).on('click', '.actt' ,  function(){
            var myModal = document.getElementById('largemodal');
            var modal = bootstrap.Modal.getInstance(myModal) // Returns a Bootstrap modal instance
            modal.hide();
        });
        $(document).on('click', '.rej' ,  function(){
            var myModal = document.getElementById($(this).data('id'));
            var tmodal = new bootstrap.Modal(document.getElementById($(this).data('target')), {
                keyboard: false
            })
            var id = $(this).data('id');
            if($('#reason'+id).val() == ""){
                $('#reason'+id).addClass('invalid');
                $('#rerror'+id).html('Internal Reason is required');
            }else if($('#ereason'+id).val() == ""){
                tmodal.hide();
                $('#ereason'+id).addClass('invalid')
                $('#reason'+id).removeClass('invalid');
                $('#rerror'+id).html('');
                $('#eerror'+id).html('External Reason is required');
            }else{

                $('#ereason'+id).removeClass('invalid')
                $('#reason'+id).removeClass('invalid');
                $('#external_reason'+id).val($('#ereason').val());
                $('#internal_reason'+id).val($('#reason').val());
                $('#rerror'+id).html('');
                $('#eerror'+id).html('');
                var modal = bootstrap.Modal.getInstance(myModal) // Returns a Bootstrap modal instance
                modal.hide();
                tmodal.show();
            }
           
        });
        $(document).on('click', '.clo', function() {
            var myModal = document.getElementById($(this).data('id'));
            var tmodal = new bootstrap.Modal(document.getElementById($(this).data('target')), {
                keyboard: false
            })
            var id = $(this).data('id');
            if ($('#creason'+id).val() == "") {
                $('#creason'+id).addClass('invalid');
                $('#crerror'+id).html('Internal Reason is required');
            } else if ($('#cereason'+id).val() == "") {
                tmodal.hide();
                $('#cereason'+id).addClass('invalid')
                $('#creason'+id).removeClass('invalid');
                $('#crerror'+id).html('');
                $('#ceerror'+id).html('External Reason is required');
            } else {

                $('#cereason'+id).removeClass('invalid')
                $('#creason'+id).removeClass('invalid');
                $('#cexternal_reason'+id).val($('#cereason').val());
                $('#cinternal_reason'+id).val($('#creason').val());
                $('#crerror'+id).html('');
                $('#ceerror'+id).html('');
                var modal = bootstrap.Modal.getInstance(myModal) // Returns a Bootstrap modal instance
                modal.hide();
                tmodal.show();
            }

        });
    </script>

@endsection
