@extends('admin.include.main')
@section('title', 'Volunteer Applications Queue')
@section('content')
<style>
    .invalid{
        border:1px solid red;
    }
</style>
<div class="card">
    <div class="card-header">
        <div class="card-title">Volunteer Applications Queue</div>
    </div>
    <div class="card-body">
        <div class="table-responsive datatble-filter">
            <table id="example1" class="table card-table table-vcenter text-nowrap border p-0">
                <thead>
                        <tr>
                            <th>Name</th>
                            <th>Age</th>
                            <th>Gender</th>
                            <th>Languages</th>
                            <th>Action</th>
                            
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($applications as $item)
                            <tr class="table-subheader">
                                <td>{{ $item->user->get_name() }}</td>
                                <td>
                                    @php
                                        $age = explode("/",$item->age_slot);
                                        $gender = explode("/",$item->gender);
                                    @endphp
                                    {{ $age[0] }}
                                </td>
                                <td>{{ $gender[0] }}</td>
                                @php
                                    
                                @endphp
                                <td>
                                       @foreach($item->user->languages as $value)
                                       {{$value->language->name}}<br>
                                       @endforeach
                                       @php
                                        $cntotl=1;
                                        $arrotl = explode(",",$item->speak_languages_other);
                                        foreach( $arrotl as $otl){
                                            if($cntotl>1)
                                                print("<br>");
                                            $cntotl = $cntotl+1;
                                            $olang =  explode(" ",trim($otl));
                                            print ($olang[0]);
                                        }
                                        @endphp
                                        
                                </td>
                                <td>

                                    <button class="btn btn-secondary act" type="button"
                                        data-title="{{ $item->full_name }} Details"
                                        data-href="{{ route('admin.application.show', $item->id) }}"  >
                                        Review
                                    </button>
                                    
                                    <div class="modal fade" id="modelrej{{ $item->id }}" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal1">
                                                        Reject {{$item->user->get_name()}} Application.</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <form action="{{ route('admin.application.status', [$item->id, 'R']) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('put')                                                
                                                    <div class="modal-body">
                                                        
                                                        <div class="row">
                                                            <div class="col-12">
                                                                <p>Please provide the reason to reject Volunteer’s Application.</p>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <label for="reason">Internal Reason</label>
                                                                    <input type="text" class="form-control"  id="reason{{$item->id}}" required  name="internal_reason" aria-describedby="helpId" placeholder=" Enter Resson For Rejection">
                                                                    <small class="text-danger " id="rerror{{$item->id}}"></small>
                                                                
                                                                </div>    
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <label for="ereason">External Reason</label>
                                                                    <input type="text" class="form-control" id="ereason{{$item->id}}" required name="external_reason" aria-describedby="helpId" placeholder="Enter Resson For Rejection">
                                                                    <small class="text-danger" id="eerror{{$item->id}}"></small>
                                                                </div>    
                                                                </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <!--button type="button" class="btn btn-danger rej" data-target="modelrejconfirm{{ $item->id }}" data-id="modelrej{{$item->id}}" data-user-id="{{$item->id}}">Reject</button-->
                                                        <button type="submit" class="btn btn-danger" onclick="return confirm('Are you sure to reject {{$item->user->get_name()}} application?')">Reject</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal fade" id="modelrejconfirm{{ $item->id }}" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal1">Reject
                                                        {{ $item->user->get_name() }} Application</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <form action="{{ route('admin.application.status', [$item->id, 'R']) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('put')
                                                    <div class="modal-body">
                                                        Are you sure you want to reject {{$item->user->get_name()}}?
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <input type="hidden" class="form-control" name="internal_reason" id="internal_reason{{$item->id}}" aria-describedby="helpId" placeholder=" Enter Resson For Rejection">
                                                                </div>    
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <input type="hidden" class="form-control" name="external_reason" id="external_reason{{$item->id}}" aria-describedby="helpId" placeholder=" Enter Resson For Rejection">
                                                                    </div>    
                                                                </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="submit" class="btn btn-danger">Reject</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal fade" id="modelshort{{ $item->id }}" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal1">Shortlist
                                                        {{ $item->full_name }}</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <form action="{{ route('admin.application.status', [$item->id, 'S']) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('put')
                                                    <div class="modal-body">
                                                        Are you sure to shortlist application?
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="submit" class="btn btn-success">Shortlist</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                            </tr>
                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    {{-- detail model --}}
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="dmodal-title modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>

    
       


@endsection

@section('script')
    <script>
        $(document).on('click', '.actt' ,  function(){
            var myModal = document.getElementById('largemodal');
            var modal = bootstrap.Modal.getInstance(myModal) // Returns a Bootstrap modal instance
            modal.hide();
        });
        $(document).on('click', '.rej' ,  function(){
            var myModal = document.getElementById($(this).data('id'));
            var tmodal = new bootstrap.Modal(document.getElementById($(this).data('target')), {
                keyboard: false
            })
            var id = $(this).data('user-id');
            if($('#reason'+id).val() == ""){
                $('#reason'+id).addClass('invalid');
                $('#rerror'+id).html('Internal Reason is required');
            }else if($('#ereason'+id).val() == ""){
                tmodal.hide();
                $('#ereason'+id).addClass('invalid')
                $('#reason'+id).removeClass('invalid');
                $('#rerror'+id).html('');
                $('#eerror'+id).html('External Reason is required');
            }else{

                $('#ereason'+id).removeClass('invalid')
                $('#reason'+id).removeClass('invalid');
                $('#external_reason'+id).val($('#ereason').val());
                $('#internal_reason'+id).val($('#reason').val());
                $('#rerror'+id).html('');
                $('#eerror'+id).html('');
                var modal = bootstrap.Modal.getInstance(myModal) // Returns a Bootstrap modal instance
                modal.hide();
                tmodal.show();
            }
           
        });
    </script>
@endsection