<div class="modal-body">

    {{-- ist --}}
    <div class="row">
        <div class="col-4"><b>Full Name / Nom complet: </b></div>
        <div class="col-4"><b>Email address / Adresse e-mail:</b></div>
        <div class="col-4"><b>Phone Number / Numero de:</b></div>
    </div>
    <div class="row mt-1">
        <div class="col-4">{{ $item->full_name }}</div>
        <div class="col-4">{{ $item->email }}</div>
        <div class="col-4">{{ $item->phone_no }}</div>
    </div>
    <hr class="mt-1 mb-1">
    {{-- 2nd --}}
    <div class="row mt-3">
        <div class="col-12">
            <b>What is your current address? / Quelle est votre adresse actuelle?</b>
        </div>
    </div>
    <div class="row mt-1">
        <div class="col-12">
            <label><p style="white-space: pre-line">{{ $item->address }}</p></label>
        </div>
    </div>
    <hr class="mt-1 mb-1">
    {{-- 2nd --}}
    {{--<div class="row mt-3">
        
        <div class="col-4">
            <b>Address Two</b>
        </div>
        <div class="col-4">
            <b>Postal Code</b>
        </div>

        <div class="col-4">
            <b>City</b>
        </div>
    </div>
    <div class="row mt-1">
        
        <div class="col-4">
            {{ $item->user->address_two }}
        </div>
        <div class="col-4">
            {{ $item->user->postal_code }}
        </div>

        <div class="col-4">
            {{ $item->user->city }}
        </div>
    </div>
    <hr class="mt-1 mb-1">
    <div class="row mt-3">

        <div class="col-6">
            <b>Province</b>
        </div>
        <div class="col-6">
            <b>Username</b>
        </div>
    </div>
    <div class="row mt-1">

        <div class="col-6">
            {{ $item->user->province }}
        </div>
        <div class="col-6">
            {{ ucfirst($item->user->uname) }}
        </div>
    </div>--}}
    <hr class="mt-1 mb-1">
    <div class="row mt-3">
        <div class="col-12"><b>Have you ever lived in Montreal? / Avez-vous déjà vécu à Montréal?</b></div>
    </div>
    <div class="row mt-1">
        <div class="col-12">{{ $item->ever_lived_montreal }}</div>
    </div>
    <hr class="mt-1 mb-1">
    <div class="row mt-3">
        <div class="col-12"><b>Gender / Veuillez indiquer votre sexe:</b></div>
    </div>
    <div class="row mt-1">
        <div class="col-12">{{ explode('/', $item->gender)[0] }}</div>
    </div>
    <hr class="mt-1 mb-1">
    {{-- 3rd --}}
    <div class="row mt-3">
        <div class="col-12"><b>AgAge / Âge: </b></div>
    </div>
    <div class="row mt-1">
        <div class="col-12">{{ explode('/', $item->age_slot)[0] }}</div>
    </div>
    <hr class="mt-1 mb-1">
    {{-- 3rd --}}
    <div class="row mt-3">
        <div class="col-12"><b>Highest level of education: / Le plus haut niveau d'éducation:</b></div>
    </div>
    <div class="row mt-1">
        <div class="col-12">{{ $item->education }}</div>
    </div>
    <hr class="mt-1 mb-1">
    <div class="row mt-3">
        <div class="col-12"><b>What is your educational background / field of study: (e.g., BA in Psychology) / Quelle est votre formation / domaine d'études: (par exemple, Bac en psychologie):</b></div>
        <div class="col-12 mt-1">{{ $item->field_of_study }}</div>
        
    </div>

    <hr class="mt-1 mb-1">
    <div class="row mt-3">
        <div class="col-12"><b>What is your profession/ line of work? (e.g., Social worker, Marketing etc.) / Quelle est votre profession / métier? (par exemple, travailleur social, marketing, etc.):</b></div>
        <div class="col-12 mt-1">{{ $item->profession }}</div>
    </div>
    <hr class="mt-1 mb-1">
    {{-- 4th --}}
    <div class="row mt-3">
        <div class="col-12"><b>Have you been involved in any kind of volunteering before? / Avez-vous des expériences de bénévolat antérieures?</b></div>
        
    </div>
    <div class="row mt-1">
        <div class="col-12">
            @if ($item->volunteering_before == "Y")
                Yes
            @else
                No                
            @endif
        
        </div>
    </div>
    <hr class="mt-1 mb-1">
    <div class="row mt-3">
        <div class="col-12"><b>
            Do you have previous volunteering/ work experience with the geriatric population? / Avez-vous déjà fait du bénévolat ou avez-vous déjà travaillé avec la population gériatrique?    
        </b></div>
    </div>
    <div class="row mt-1">
        
        <div class="col-12">{{ $item->volunteer_experience }}</div>
    </div>
    <hr class="mt-1 mb-1">
    {{-- 5th --}}
    <div class="row mt-3">
        <div class="col-12"><b>
            Do you have previous volunteering/ work experience with mental health? / Avez-vous déjà fait du bénévolat ou avez-vous déjà travaillé dans le domaine de la santé mentale?        </b></div>
    </div>
    <div class="row mt-1">
        <div class="col-12">{{ $item->previous_volunteering_mental_health }}</div>
    </div>
    <hr class="mt-1 mb-1">
    <div class="row mt-3">
      <div class="col-12"><b>Do you have any other volunteering experience? If so, please briefly describe. / Avez-vous d'autre expériences de bénévolat? Si oui, veuillez décrire brièvement?</b></div>
    </div>
    <div class="row mt-1">
        <div class="col-12">{{ $item->volunteer_other_experience }}</div>
    </div>
    <hr class="mt-1 mb-1">
    {{-- 6th --}}
    <div class="row mt-3">
        <div class="col-12"><b>Which language(s) you can speak fluently? / Quelle(s) langue(s) parlez-vous couramment?</b></div>
    </div>
    <div class="row mt-1">
        <div class="col-12">
            @foreach ($item->user->languages as $value)
                {{ $value->language->name }} ,
            @endforeach
        </div>
    </div>
    <hr class="mt-1 mb-1">
    <div class="row mt-3">
        <div class="col-12"><b>Speak Other Languages?</b></div>
    </div>
    <div class="row mt-1">
        
        <div class="col-12">{{ $item->speak_languages_other }}</div>
    </div>
    <hr class="mt-1 mb-1">
    <div class="row mt-3">
        <div class="col-12"><b>Is there anything else you'd like us to know? / Y a-t-il autre chose que vous aimeriez que nous sachions?</b></div>
        
    </div>
    <div class="row mt-1">
        <div class="col-12">{{ $item->more_us_to_know }}</div>
        
    </div>
    <hr class="mt-1 mb-1">
    <div class="row mt-3">
        <div class="col-12"><b>
            Are you willing to undergo a background check? / Êtes-vous prêt à subir une vérification des antécédents judiciaires?    
        </b>
    </div>
    </div>
    <div class="row mt-1">
        <div class="col-12">
            @if ($item->willing_undergo_background == "Y")
                Yes
            @else
                No
            @endif            
        </div>
    </div>
    <hr class="mt-1 mb-1">
    <div class="row mt-3">
        <div class="col-12"><b>
            How did you come to know about this project? Please mention your source clearly. / Comment avez-vous entendu parler de notre programme? Veuillez mentionner clairement votre source?
        </b>
        </div>
    </div>
    <div class="row mt-1">
        <div class="col-12">{{ $item->how_know_project }}</div>
    </div>
    <hr class="mt-1 mb-1">

    <div class="row mt-3">
        <div class="col-12"><b>CV</b></div>
    </div>
    <div class="row mt-1">
        <div class="col-12"><a href="{{ asset('/uploads/' . $item->cv) }}" download>Download CV</a> / <a href="{{ asset('/uploads/' . $item->cv) }}" target="_blank">View CV</a></div>
         
    </div>
    @if ($item->status != 'P')
        
        @if($item->internal_reason != null || !empty($item->internal_reason))
        
        <hr class="mt-1 mb-1">

        <div class="row mt-3">
            <div class="col-12"><b>Internal Reason</b></div>
        </div>
        <div class="row mt-1">
            <div class="col-12">{{$item->internal_reason}}</div>
        </div>
        <hr class="mt-1 mb-1">

        <div class="row mt-3">
            <div class="col-12"><b>External Reason</b></div>
        </div>
        <div class="row mt-1">
            <div class="col-12">{{$item->extarnal_reason}}</div>
        </div>
        <hr class="mt-1 mb-1">

        @endif
</div>
@endif
@if ($item->status == 'P')
    @if($item->internal_reason == null || empty($item->internal_reason))
        <div class="modal-footer">
            <button class="btn btn-danger actt" data-bs-toggle="modal"
                data-bs-target="#modelrej{{ $item->id }}">Reject</button>
            <button class="btn btn-success actt" data-bs-toggle="modal"
                data-bs-target="#modelshort{{ $item->id }}">Shortlist</button>
        </div>
    @endif
@endif