<div class="modal-body">
    @if ($item->user->form_three != null)
        <div class="row">
            <div class="col">
                <div
                    class="form-group">
                    <div
                        class="row">
                        <div
                            class="col-md-12">
                            <div
                                class="row mt-2">
                                <div
                                    class="col-md-6">
                                    <h6>Agreement
                                    </h6>
                                    <p>{{ $item->user->form_three->is_agree }}
                                    </p>
                                </div>
                                <div
                                    class="col-md-6">
                                    <h6>Date
                                    </h6>
                                    <p>{{ $item->user->form_three->date }}
                                    </p>
                                </div>
                                @if($item->user->form_three->status == null )
                                    <div class="modal-footer">
                                        <button class="btn btn-danger actt" data-bs-toggle="modal"
                                            data-bs-target="#modelrejform3{{ $item->id }}">Reject</button>
                                        <button class="btn btn-success actt" data-bs-toggle="modal"
                                            data-bs-target="#modelacceptform3{{ $item->id }}">Accept</button>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @if ($item->user->form_three->status == 'R')
            <h3
                    class="text-danger text-center">
                    Form Rejected.</h3>   
            @if($item->user->form_three->internal_reason != null || !empty($item->user->form_three->internal_reason))
            
            <hr class="mt-1 mb-1">

            <div class="row mt-3">
                <div class="col-12"><b>Internal Reason</b></div>
            </div>
            <div class="row mt-1">
                <div class="col-12">{{$item->user->form_three->internal_reason}}</div>
            </div>
            <hr class="mt-1 mb-1">

            <div class="row mt-3">
                <div class="col-12"><b>External Reason</b></div>
            </div>
            <div class="row mt-1">
                <div class="col-12">{{$item->user->form_three->extarnal_reason}}</div>
            </div>
            <hr class="mt-1 mb-1">

            @endif
        @endif
    @else
        <h3
            class="text-danger text-center">
            Not Submitted Yet!</h3>
    @endif

</div>

<div class="modal-footer">
    @if ($item->user->form_three == null)
        <a href="{{ route('admin.application.volunteer_form', [$item->user->id, 'three']) }}"
            type="button"
            class="btn btn-danger">
            Remind</a>
    @endif

</div>
