@php
    $tcount = 0;
@endphp
<form action="{{ route('admin.volunteer.notes') }}" method="POST" id="noteform{{$batch->id}}">
    @csrf
    <div class="modal-body">
        <input type="hidden" name="batch_id" value="{{ $batch->id }}">                 

        @foreach ($batch->trainees as $train)
            @if($train->tbtu_status=='A')
            @php
                $tcount = $tcount+1;
            @endphp
        <div class="row">
            <input type="hidden" name="training_batch_trainees_updates[]" value="{{$train->id }}">                 
                                        
            <div class="col-4">{{ucfirst($train->user->get_name())}}</div>
            <div class="col-4">
                <div class="form-group">
                    <div class="form-check">
                        <input data-ticket="attendence{{$train->id}}" data-id="att{{$train->id}}" @if($train->tbtu_attendance == "Y")checked @endif class="form-check-input ticket" type="checkbox"
                        id="atten{{$train->id}}" value="Y" >
                        <label class="form-check-label" for="atten{{$train->id}}">
                            Attended Training
                        </label>
                        <input id="attendence{{$train->id}}" type="hidden" name="attendence[]" value="{{$train->tbtu_attendance}}">
                    </div>
                </div>
            </div>
            <div class="col-4">
                <div class="form-group">
                    <div class="form-check">
                        <input data-ticket="generate_ticket{{$train->id}}" data-id="more{{$train->id}}" @if($train->tbtu_ticket_id != null )checked @endif class="form-check-input ticket" type="checkbox"  data-id="generate_ticket{{$train->id}}" id="gticket{{$train->id}}" value="Y" >
                        <label class="form-check-label" for="gticket{{$train->id}}">
                            Generate Ticket
                        </label>
                        <input id="generate_ticket{{$train->id}}" type="hidden" name="generate_ticket[]" @if($train->tbtu_ticket_id != null) value="Y" @endif>
                        </div>
                </div>
            </div>
        </div>
        <div id="att{{$train->id}}" @if($train->tbtu_attendance != "Y") style="display: none" @endif> 
            <div class="row">
                <div class="col-6">
                    <label for="skills{{$batch->id}}">Skills</label>
                    <textarea class="form-control" id="skills{{$batch->id}}" type="text" name="volunteer_skills[]">{{$train->tbtu_skills}}</textarea>
                
                </div>
                <div class="col-6">
                    <label for="notes{{$batch->id}}">Notes</label>
                    <textarea id="notes{{$batch->id}}" class="form-control" name="volunteer_notes[]"> {{$train->tbtu_notes}} </textarea>                                                    
                </div>
            </div>
        </div>

        <div id="more{{$train->id}}" @if($train->tbtu_ticket_id == null) style="display: none" @endif>
            <div class="row mt-5">
                <div class="col-md-5 col-lg-6">
                    <div class="form-group">
                        <label for="ttile{{$batch->id}}">Ticket Title</label>
                        <input @if($train->tbtu_ticket_id != null) value="{{$train->ticket->subject}}" @endif type="text" class="form-control" name="ticket_title[]" id="ticket_title{{$batch->id}}" aria-describedby="helpId" placeholder=" Enter ticket title">
                    </div>    
                </div>

                <div class="col-md-5 col-lg-6">
                    <div class="form-group">
                        <label for="batch_date"></label>Ticket Priority
                        <select class="form-control" name="ticket_priority[]">
                            <option></option>
                            <option value="High"   @if($train->tbtu_ticket_id != null) @if($train->ticket->type == "High") selected @endif @endif >High</option>
                            <option value="Medium" @if($train->tbtu_ticket_id != null) @if($train->ticket->type == "Medium") selected @endif @endif >Medium</option>
                            <option value="Low"    @if($train->tbtu_ticket_id != null) @if($train->ticket->type == "Low") selected @endif @endif>Low</option>
                        </select>
                    </div>    
                </div>
            </div>

            <div class="row mt-5">
                <div class="col-md-5 col-lg-6">
                    <div class="form-group">
                        <label for="ticket_desc{{$batch->id}}">Ticket Description: </label>
                        <textarea class="form-control" name="ticket_desc[]" id="ticket_desc{{$batch->id}}">@if($train->tbtu_ticket_id !=null) {{$train->ticket->description}} @endif</textarea>
                    </div>    
                </div>
            </div>
        </div>

        <hr>
            @endif
        @endforeach
        <div class="modal-footer">
        @if($tcount>0)
            <button type="submit" class="btn btn-info save d-none">Save</button>
            <button type="button" data-id="#noteform{{$batch->id}}"  class="btn btn-info save">Save</button>
            <button type="button" data-id="#noteform{{$batch->id}}" class="btn btn-info saveclose">Save And Close</button>
        @else
            No trainee confirmed in this batch.
        @endif    
        </div>
    </div>
</form>
