@extends('tip-users.include.main')
@section('title')
TIP-OA: Volunteer
@endsection
@section('content')
    <div class="card">
        <div class="card-header">
            <div class="card-title">Volunteer</div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Age</th>
                            <th>Gender</th>
                            <th>Languages</th>
                            <th>Number Of Clients</th>
                            {{-- <th>Calling Status</th> --}}
                            <th>Contract End Date</th>

                        </tr>
                    </thead>

                    <tbody>
                        
                        @foreach ($volntr as $item)
                            <tr class="table-subheader">
                                <td>{{ $item->user->batch_traine->vlntr_name }}</td>
                                <td>{{ $item->user->batch_traine->age_slot }}</td>
                                <td>{{ $item->user->batch_traine->vlntr_gender }}</td>
                                <td>
                                    @foreach ($item->user->languages as $value)
                                        {{ $value->language->name }}
                                    @endforeach
                                </td>
                                <td>{{$item->user->batch_traine->vlntr_max_clients}}</td>
                                <td>{{$item->user->batch_traine->vlntr_contract_end_date}}</td>
                            </tr>
                                <tr style="display:none">
                                    <td colspan="9">
                                        <div class="">
                                            <div class="panel panel-primary receipts-inline-table border-0">
                                                <div class="tab-menu-heading p-0 border-0">
                                                    <div class="tabs-menu1">
                                                        <!-- Tabs -->
                                                        <ul class="nav panel-tabs">
                                                            <li class=""><a href="#tab1"
                                                                    class="active" data-bs-toggle="tab">tab</a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                                <div class="panel-body tabs-menu-body p-0 border-0">
                                                    <div class="tab-content">
                                                        <div class="tab-pane active" id="tab1">
                                                            <table class="table detail-transaction">
                                                                <tbody>
                                                                    <tr>
                                                                        <th>

                                                                            <a data-bs-toggle="modal" data-bs-target="#modelskill{{ $item->user->batch_traine->id }}"
                                                                            class="btn btn-primary " href="#">Update Skill</a>
                                                                            <a data-bs-toggle="modal" data-bs-target="#modeldate{{ $item->user->batch_traine->id  }}"
                                                                                class="btn btn-primary " href="#">Change contract End Date</a>
                                                                                <a data-bs-toggle="modal" data-bs-target="#modeltask{{ $item->user->batch_traine->id  }}"
                                                                                    class="btn btn-primary " href="#">Change Task</a>
                                                                                    <a data-bs-toggle="modal" data-bs-target="#modelnotes{{ $item->user->batch_traine->id }}"
                                                                                        class="btn btn-primary " href="#">Update Notes And Attendance</a>
                                                                                    @if($item->user->volunteers->is_active=="A")
                                                                                        <a data-bs-toggle="modal" data-bs-target="#modeldeactive{{ $item->user->batch_traine->id }}"
                                                                                            class="btn btn-primary " href="#">Deactive</a>
                                                                                    @else
                                                                                        <a data-bs-toggle="modal" data-bs-target="#modelactive{{ $item->user->batch_traine->id }}"
                                                                                            class="btn btn-primary " href="#">Reactive</a>
                                                                                    @endif
                                                                                    @if($item->user->volunteers->is_hold=="H")
                                                                                    <a data-bs-toggle="modal" data-bs-target="#modelunhold{{ $item->user->batch_traine->id  }}"
                                                                                        class="btn btn-primary " href="#">Unhold</a>
                                                                                    @else
                                                                                    <a data-bs-toggle="modal" data-bs-target="#modelhold{{ $item->user->batch_traine->id  }}"
                                                                                        class="btn btn-primary " href="#">Hold</a>
                                                                                    @endif
                                                                                    @if($item->user->volunteers->unregistered=="R")
                                                                                    <a data-bs-toggle="modal" data-bs-target="#modelunregister{{ $item->user->batch_traine->id }}"
                                                                                        class="btn btn-primary " href="#">Unregister</a>
                                                                                    @else
                                                                                    <a data-bs-toggle="modal" data-bs-target="#modelregister{{ $item->user->batch_traine->id  }}"
                                                                                        class="btn btn-primary " href="#">Register</a>
                                                                                    @endif

                                                                        </th>
                                                                        
                                                                                <div class="modal fade" id="modelskill{{ $item->user->batch_traine->id  }}" tabindex="-1" role="dialog"
                                                                                    aria-labelledby="normalmodal" aria-hidden="true">
                                                                                    <div class="modal-dialog" role="document">
                                                                                        <div class="modal-content">
                                                                                            <div class="modal-header">
                                                                                                <h5 class="modal-title" id="normalmodal">Update Skill
                                                                                                    {{ $item->full_name }}</h5>
                                                                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                                    aria-label="Close">
                                                                                                    <span aria-hidden="true">×</span>
                                                                                                </button>
                                                                                            </div>
                                                                                            <form action="{{ route('tip.volunteer.skill', $item->user->batch_traine->id ) }}"
                                                                                                method="POST">
                                                                                                @csrf
                                                                                                @method('put')
                                                                                                <div class="modal-body">
                                                                                                    <div class="row">
                                                                                                            <div class="col">
                                                                                                                <div class="form-group">
                                                                                                                    <label for="reason">Update Skill</label>
                                                                                                                    <input type="text" class="form-control" name="vlntr_skills" value="{{$item->user->volunteers->vlntr_skills}}" id="reason" aria-describedby="helpId">
                                                                                                                    </div>    
                                                                                                                </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div class="modal-footer">
                                                                                                    <button type="submit" class="btn btn-danger">Update</button>
                                                                                                </div>
                                                                                            </form>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                          
                                                                                <div class="modal fade" id="modeldate{{ $item->user->batch_traine->id  }}" tabindex="-1" role="dialog"
                                                                                        aria-labelledby="normalmodal" aria-hidden="true">
                                                                                        <div class="modal-dialog" role="document">
                                                                                            <div class="modal-content">
                                                                                                <div class="modal-header">
                                                                                                    <h5 class="modal-title" id="normalmodal">Update
                                                                                                        {{ $item->vlntr_name }}</h5>
                                                                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                                        aria-label="Close">
                                                                                                        <span aria-hidden="true">×</span>
                                                                                                    </button>
                                                                                                </div>
                                                                                                <form action="{{ route('tip.volunteer.contract', $item->user->batch_traine->id ) }}"
                                                                                                    method="POST">
                                                                                                    @csrf
                                                                                                    @method('put')
                                                                                                    <div class="modal-body">
                                                                                                        <div class="row">
                                                                                                            <div class="col">
                                                                                                                <div class="form-group">
                                                                                                                    <label for="reason">Update Contract End Date</label>
                                                                                                                    <input type="date" class="form-control" name="vlntr_contract_end_date" value="{{$item->user->volunteers->vlntr_contract_end_date}}" id="reason" aria-describedby="helpId">
                                                                                                                    </div>    
                                                                                                                </div>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                    <div class="modal-footer">
                                                                                                        <button type="submit" class="btn btn-danger">Update</button>
                                                                                                    </div>
                                                                                                </form>
                                                                                            </div>
                                                                                        </div>
                                                                                </div>

                                                                                <div class="modal fade" id="modelunregister{{ $item->user->batch_traine->id }}" tabindex="-1" role="dialog"
                                                                                    aria-labelledby="normalmodal" aria-hidden="true">
                                                                                    <div class="modal-dialog" role="document">
                                                                                        <div class="modal-content">
                                                                                            <div class="modal-header">
                                                                                                <h5 class="modal-title" id="normalmodal"> Unregister
                                                                                                    {{ $item->vlntr_name }}</h5>
                                                                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                                    aria-label="Close">
                                                                                                    <span aria-hidden="true">×</span>
                                                                                                </button>
                                                                                            </div>
                                                                                            <form action="{{ route('tip.volunteer.register', [$item->user->batch_traine->id, 'U'] ) }}"
                                                                                                method="POST">
                                                                                                @csrf
                                                                                                @method('put')
                                                                                                <div class="modal-body">
                                                                                                    Are You Really want to Unregister this Volunteer
                                                                                                </div>
                                                                                                <div class="modal-footer">
                                                                                                    <button type="button" class="btn btn-info"
                                                                                                        data-bs-dismiss="modal">Close</button>
                                                                                                    <button type="submit" class="btn btn-danger"> Unregister</button>
                                                                                                </div>
                                                                                            </form>
                                                                                        </div>
                                                                                    </div>
                                                                            </div>
                                                                            <div class="modal fade" id="modelunregister{{ $item->user->batch_traine->id }}" tabindex="-1" role="dialog"
                                                                                aria-labelledby="normalmodal" aria-hidden="true">
                                                                                <div class="modal-dialog" role="document">
                                                                                    <div class="modal-content">
                                                                                        <div class="modal-header">
                                                                                            <h5 class="modal-title" id="normalmodal"> Unregister
                                                                                                {{ $item->vlntr_name }}</h5>
                                                                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                                aria-label="Close">
                                                                                                <span aria-hidden="true">×</span>
                                                                                            </button>
                                                                                        </div>
                                                                                        <form action="{{ route('tip.volunteer.register', [$item->user->batch_traine->id, 'R'] ) }}"
                                                                                            method="POST">
                                                                                            @csrf
                                                                                            @method('put')
                                                                                            <div class="modal-body">
                                                                                                Are You Really want to Register this Volunteer?
                                                                                            </div>
                                                                                            <div class="modal-footer">
                                                                                                <button type="button" class="btn btn-info"
                                                                                                    data-bs-dismiss="modal">Close</button>
                                                                                                <button type="submit" class="btn btn-danger"> Unregister</button>
                                                                                            </div>
                                                                                        </form>
                                                                                    </div>
                                                                                </div>
                                                                            </div>

                                                                            <div class="modal fade" id="modelunhold{{ $item->user->batch_traine->id }}" tabindex="-1" role="dialog"
                                                                                aria-labelledby="normalmodal" aria-hidden="true">
                                                                                <div class="modal-dialog" role="document">
                                                                                    <div class="modal-content">
                                                                                        <div class="modal-header">
                                                                                            <h5 class="modal-title" id="normalmodal"> Unhold
                                                                                                {{ $item->vlntr_name }}</h5>
                                                                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                                aria-label="Close">
                                                                                                <span aria-hidden="true">×</span>
                                                                                            </button>
                                                                                        </div>
                                                                                        <form action="{{ route('tip.volunteer.hold', [$item->user->batch_traine->id, 'U'] ) }}"
                                                                                            method="POST">
                                                                                            @csrf
                                                                                            @method('put')
                                                                                            <div class="modal-body">
                                                                                                Are You Really want to Unhold this Volunteer?
                                                                                            </div>
                                                                                            <div class="modal-footer">
                                                                                                <button type="button" class="btn btn-info"
                                                                                                    data-bs-dismiss="modal">Close</button>
                                                                                                <button type="submit" class="btn btn-danger"> Unhold</button>
                                                                                            </div>
                                                                                        </form>
                                                                                    </div>
                                                                                </div>
                                                                         </div>
                                                                        
                                                                         <div class="modal fade" id="modelhold{{ $item->user->batch_traine->id }}" tabindex="-1" role="dialog"
                                                                            aria-labelledby="normalmodal" aria-hidden="true">
                                                                            <div class="modal-dialog" role="document">
                                                                                <div class="modal-content">
                                                                                    <div class="modal-header">
                                                                                        <h5 class="modal-title" id="normalmodal"> Hold
                                                                                            {{ $item->vlntr_name }}</h5>
                                                                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                            aria-label="Close">
                                                                                            <span aria-hidden="true">×</span>
                                                                                        </button>
                                                                                    </div>
                                                                                    <form action="{{ route('tip.volunteer.hold', [$item->user->batch_traine->id, 'H'] ) }}"
                                                                                        method="POST">
                                                                                        @csrf
                                                                                        @method('put')
                                                                                        <div class="modal-body">
                                                                                            Are You Really want to Hold this Volunteer?
                                                                                        </div>
                                                                                        <div class="modal-footer">
                                                                                            <button type="button" class="btn btn-info"
                                                                                                data-bs-dismiss="modal">Close</button>
                                                                                            <button type="submit" class="btn btn-danger"> Hold</button>
                                                                                        </div>
                                                                                    </form>
                                                                                </div>
                                                                            </div>
                                                                     </div>
                                                                    
                                                                      <div class="modal fade" id="modelactive{{ $item->user->batch_traine->id }}" tabindex="-1" role="dialog"
                                                                        aria-labelledby="normalmodal" aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title" id="normalmodal"> Reactive
                                                                                        {{ $item->vlntr_name }}</h5>
                                                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                <form action="{{ route('tip.volunteer.active', [$item->user->batch_traine->id, 'A'] ) }}"
                                                                                    method="POST">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                    <div class="modal-body">
                                                                                        Are You Really want to Reactive this Volunteer?
                                                                                    </div>
                                                                                    <div class="modal-footer">
                                                                                        <button type="button" class="btn btn-info"
                                                                                            data-bs-dismiss="modal">Close</button>
                                                                                        <button type="submit" class="btn btn-danger"> Reactive</button>
                                                                                    </div>
                                                                                </form>
                                                                            </div>
                                                                        </div>
                                                                 </div>
                                                               
                                                                  <div class="modal fade" id="modeldeactive{{ $item->user->batch_traine->id }}" tabindex="-1" role="dialog"
                                                                    aria-labelledby="normalmodal" aria-hidden="true">
                                                                    <div class="modal-dialog" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="normalmodal"> Deactive
                                                                                    {{ $item->vlntr_name }}</h5>
                                                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                    aria-label="Close">
                                                                                    <span aria-hidden="true">×</span>
                                                                                </button>
                                                                            </div>
                                                                            <form action="{{ route('tip.volunteer.active', [$item->user->batch_traine->id, 'D'] ) }}"
                                                                                method="POST">
                                                                                @csrf
                                                                                @method('put')
                                                                                <div class="modal-body">
                                                                                    Are You Really want to Deactive this Volunteer?
                                                                                </div>
                                                                                <div class="modal-footer">
                                                                                    <button type="button" class="btn btn-info"
                                                                                        data-bs-dismiss="modal">Close</button>
                                                                                    <button type="submit" class="btn btn-danger"> Deactive</button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                 </div>

                                                                 <div class="modal fade " id="modeltask{{ $item->user->batch_traine->id  }}"  tabindex="-1" role="dialog"
                                                                    aria-labelledby="normalmodal" aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="normalmodal">Update Task
                                                                                    {{ $item->full_name }}</h5>
                                                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                    aria-label="Close">
                                                                                    <span aria-hidden="true">×</span>
                                                                                </button>
                                                                            </div>
                                                                            <form action="{{ route('tip.volunteer.task', $item->user->batch_traine->id) }}"
                                                                                method="POST">
                                                                                @csrf
                                                                                @method('put')
                                                                                <div class="modal-body">
                                                                                    <div class="row">
                                                                                        <div class="col-md-5 col-lg-6">
                                                                                            <div class="form-group">
                                                                                                <label for="batch_starttime">Task</label>
                                                                                                    <div class="form-check">
                                                                                                            <input @if($item->user->volunteers->vlntr_task_empathy_calls == 'E') checked @endif class="form-check-input ticket" type="checkbox" name="vlntr_task_empathy_calls"
                                                                                                                id="mandatory1" value="E">
                                                                                                            <label  class="form-check-label" for="mandatory1">
                                                                                                                Empathy Calls
                                                                                                            </label>
                                                                                                    </div>
                                                                                            </div>    
                                                                                            <div class="form-group">
                                                                                                <div class="form-check">
                                                                                                        <input @if($item->user->volunteers->vlntr_task_empathy_calls == 'O') checked @endif class="form-check-input ticket" data-id="{{$item->id}}" type="checkbox" name="vlntr_task_empathy_calls"
                                                                                                            id="task" value="O">
                                                                                                        <label class="form-check-label" for="mandatory1">
                                                                                                            Other
                                                                                                        </label>
                                                                                                </div>
                                                                                            </div>    
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="row mt-5 more" style="display: none">
                                                                                        <div class="col-md-5 col-lg-6">
                                                                                            <div class="form-group">
                                                                                                <label for="batch_duration">Task</label>
                                                                                                <input type="text" class="form-control" name="task" id="task" aria-describedby="helpId" placeholder=" Enter task">
                                                                                            </div>    
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="modal-footer">
                                                                                    <button type="button" class="btn btn-info"
                                                                                        data-bs-dismiss="modal">Close</button>
                                                                                    <button type="submit" class="btn btn-danger">Update</button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="modal fade" id="modelnotes{{ $item->user->batch_traine->id }}" tabindex="-1" role="dialog"
                                                                    aria-labelledby="normalmodal" aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="normalmodal">Update 
                                                                                   </h5>
                                                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                    aria-label="Close">
                                                                                    <span aria-hidden="true">×</span>
                                                                                </button>
                                                                            </div>
                                                                            <form action="{{ route('tip.volunteer.notes') }}"
                                                                                method="POST">
                                                                                @csrf
                                                                                <div class="modal-body">  
                                                                                    <input type="hidden" name="training_batch_trainees_updates" value="{{$item->id }}">                 
                                                                               
                                                                                             <div class="row mt-5">
                                                                                                <div class="col-md-5 col-lg-6">
                                                                                                    <div class="form-group">
                                                                                                        <label for="batch_date">Notes</label>
                                                                                                        <input @if($item->notes != null) value="{{$item->notes->volunteer_notes}}" @endif type="text" class="form-control " name="volunteer_notes" id="notes" aria-describedby="helpId" placeholder=" Enter notes">
                                                                                                    </div>    
                                                                                                </div>
                                                                                                <div class="col-md-5 col-lg-6">
                                                                                                    <div class="form-group">
                                                                                                        <label for="attendence">Attendence</label>
                                                                                                        <input @if($item->notes != null) value="{{$item->notes->attendence}}" @endif type="text" class="form-control " name="attendence" id="attendence" aria-describedby="helpId" placeholder="Attendence">
                                                                                                    </div>    
                                                                                                </div>
                                                                                                
                                                                                        </div>
                                                                                        <div class="row">

                                                                                            <div class="col-md-5 col-lg-6">
                                                                                                <div class="form-group">
                                                                                                    <label for="batch_date">Additional Skills</label>
                                                                                                    <input @if($item->notes != null) value="{{$item->notes->volunteer_skills}}" @endif type="text" class="form-control " name="volunteer_skills" id="skill" aria-describedby="helpId" placeholder=" Enter skill">
                                                                                                </div>    
                                                                                            </div>
                                                                                            <div class="col-md-5 col-lg-6">
                                                                                                <div class="form-group">
                                                                                                    <label for="batch_starttime">Generate Ticket</label>
                                                                                                        <div class="form-check">
                                                                                                                <input @if($item->notes != null) @if($item->notes->generate_ticket == "Y")checked @endif @endif class="form-check-input ticket" type="checkbox" name="generate_ticket"
                                                                                                                    id="mandatory1" value="Y" >
                                                                                                                <label class="form-check-label" for="mandatory1">
                                                                                                                    Generate Ticket
                                                                                                                </label>
                                                                                                        </div>
                                                                                                </div>    
                                                                                            </div>
                                                                                        </div>
                                                                                         <div id="more" @if($item->notes != null) @if($item->notes->generate_ticket != "Y") style="display: none" @endif @else style="display: none" @endif>
                                                                                            <div class="row mt-5">
                                                                                                <div class="col-md-5 col-lg-6">
                                                                                                    <div class="form-group">
                                                                                                        <label for="batch_duration">Ticket Title</label>
                                                                                                        <input @if($item->notes != null) value="{{$item->notes->ticket_title}}" @endif type="text" class="form-control" name="ticket_title" id="ticket_title" aria-describedby="helpId" placeholder=" Enter ticket title">
                                                                                                    </div>    
                                                                                                </div>
                                
                                                                                                <div class="col-md-5 col-lg-6">
                                                                                                    <div class="form-group">
                                                                                                        <label for="batch_date"></label>Ticket Priority
                                                                                                        <input @if($item->notes != null) value="{{$item->notes->ticket_priority}}" @endif type="text" class="form-control " name="ticket_priority" id="ticket_priority" aria-describedby="helpId" placeholder=" Enter ticket priority">
                                                                                                    </div>    
                                                                                                </div>
                                                                                        </div>
                                
                                                                                        <div class="row mt-5">
                                                                                            <div class="col-md-5 col-lg-6">
                                                                                                <div class="form-group">
                                                                                                    <label for="batch_duration">Ticket Description</label>
                                                                                                    <input @if($item->notes != null) value="{{$item->notes->ticket_desc}}" @endif type="text" class="form-control" name="ticket_desc" id="ticket_desc" aria-describedby="helpId" placeholder=" Enter ticket Description">
                                                                                                </div>    
                                                                                            </div>
                                                                                        </div>
                                
                                                                                         </div>
                                                                                </div>
                                                                                <div class="modal-footer">
                                                                                    <button type="submit" class="btn btn-info">Update</button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            
                                                                    </tr>
                                                                    
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    {{-- detail model --}}
    <div class="modal fade" id="largemodal1" tabindex="-1" role="dialog" aria-labelledby="largemodal1" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal1"> Update Task</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                  <div class="modal-body">
                      <input type="hidden" id="volntr" name="volunteer_id" value="">
                      <div class="row">
                        <div class="col-md-5 col-lg-6">
                        <p>Unmatch the client and Volunteer then add task.</p>
                    </div>
                </div>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-info"data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>





@endsection
@section('script')
{{-- <script>
    $(document).on("change", ".ticket", function () {
   var check =($(this).val());    // Here you will get the current selected/checked radio option value
    console.log(check);
   if(check=="O"){
     $('.more').show();
   
   }
   else{
    $('.more').hide();
   }

});
</script> --}}


<script>
    $(document).on("change", ".ticket", function () {
        var check =($(this).val());    // Here you will get the current selected/checked radio option value
        id = $(this).data('id');
          console.log(id);
          if(check=="O"){

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': "{{ csrf_token() }}",
                }
            });
            $.ajax({
                url: "{{ route('tip.volunteer.client') }}",
                type: "GET",
                data: {
                    volunteer: id ,
                },
                success: function(result) {
                    if(result.status=="1"){
                        $("#volntr").val(result.volntr_id);
                        var myModal = new bootstrap.Modal(document.getElementById('largemodal1'), {
                            keyboard: false
                        })
                        myModal.show();

                        var myModal = document.getElementById('modeltask'+id);
                        var modal = bootstrap.Modal.getInstance(myModal) // Returns a Bootstrap modal instance
                        modal.hide();
                        
                        
                    }
                }


            });
          }

    });
</script>
<script>
    $(document).on("change", ".ticket", function () {
   var check =($(this).val());    // Here you will get the current selected/checked radio option value
    console.log(check);
   if(check=="Y"){
     $('#more').show();
   
   }
   else{
    $('#more').hide();
   }

});
</script>


@endsection

