<?php
$path = '/';
?>

<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>

    <!-- Meta data -->
    <meta charset="UTF-8">
    <meta name='viewport' content='width=device-width, initial-scale=1.0, user-scalable=0'>
    <meta content="TIP-OA: Login"
        name="description">
<!--    <meta content="Spruko™ Technologies Private Limited" name="author">
    <meta name="keywords"
        content="Admin, Admin Template, Dashboard, Responsive, Admin Dashboard, Bootstrap, Bootstrap 4, Clean, Backend, Jquery, Modern, Web App, Admin Panel, Ui, Premium Admin Templates, Flat, Admin Theme, Ui Kit, Bootstrap Admin, Responsive Admin, Application, Template, Admin Themes, Dashboard Template" />
-->
    <!-- Title -->
    <title>TIP-OA: Login</title>

    <!--Favicon -->
    <link rel="icon" href="<?php echo e(asset($path . 'admin/assets/images/brand/favicon.ico')); ?>" type="image/x-icon" />

    <!-- Bootstrap css -->
    <link href="<?php echo e(asset($path . 'admin/assets/plugins/bootstrap/css/bootstrap.css')); ?>" rel="stylesheet" />

    <!-- Style css -->
    <link href="<?php echo e(asset($path . 'admin/assets/css-rtl/style.css')); ?>" rel="stylesheet" />

    <!-- Dark css -->
    <link href="<?php echo e(asset($path . 'admin/assets/css-rtl/dark.css')); ?>" rel="stylesheet" />

    <!-- Skins css -->
    <link href="<?php echo e(asset($path . 'admin/assets/css-rtl/skins.css')); ?>" rel="stylesheet" />

    <!-- Animate css -->
    <link href="<?php echo e(asset($path . 'admin/assets/css-rtl/animated.css')); ?>" rel="stylesheet" />

    <!---Icons css-->
    <link href="<?php echo e(asset($path . 'admin/assets/plugins/web-fonts/icons.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset($path . 'admin/assets/plugins/web-fonts/font-awesome/font-awesome.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset($path . 'admin/assets/plugins/web-fonts/plugin.css')); ?>" rel="stylesheet" />

</head>

<body class="h-100vh page-style1 light-mode default-sidebar">
    <div class="page">
        <div class="page-single">
            <div class="container">
                <div class="row">
                    <div class="col mx-auto">
                        <div class="row justify-content-center">
                            <div class="col-md-7 col-lg-5">
                                <div class="card card-group mb-0">
                                    <div class="card p-4">
                                        <div class="card-body">
                                            <div class="text-center title-style mb-6">
                                                <h1 class="mb-2">Login</h1>
                                                <hr>
                                                <p class="text-muted">Login</p>
                                                <form method="POST" action="<?php echo e(route('login')); ?>">
                                                    <?php echo csrf_field(); ?>

                                                    <div class="row mb-3">
                                                        <label for="email"
                                                            class="col-md-4 col-form-label text-md-right"><?php echo e(__('E-Mail Address')); ?></label>

                                                        <div class="col-md-6">
                                                            <input id="email" type="email"
                                                                class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                                name="email" value="<?php echo e(old('email')); ?>" required
                                                                autocomplete="email" autofocus>

                                                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong><?php echo e($message); ?></strong>
                                                                </span>
                                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                        </div>
                                                    </div>

                                                    <div class="row mb-3">
                                                        <label for="password"
                                                            class="col-md-4 col-form-label text-md-right"><?php echo e(__('Password')); ?></label>

                                                        <div class="col-md-6">
                                                            <input id="password" type="password"
                                                                class="form-control <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                                name="password" required
                                                                autocomplete="current-password">

                                                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong><?php echo e($message); ?></strong>
                                                                </span>
                                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                        </div>
                                                    </div>

                                                    <div class="row mb-3">
                                                        <div class="col-md-6 offset-md-4">
                                                            <div class="form-check">
                                                                <input class="form-check-input" type="checkbox"
                                                                    name="remember" id="remember"
                                                                    <?php echo e(old('remember') ? 'checked' : ''); ?>>

                                                                <label class="form-check-label" for="remember">
                                                                    <?php echo e(__('Remember Me')); ?>

                                                                </label>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row mb-0">
                                                        <div class="col-md-8 offset-md-4">
                                                            <button type="submit" class="btn btn-primary">
                                                                <?php echo e(__('Login')); ?>

                                                            </button>

                                                            <?php if(Route::has('password.request')): ?>
                                                                <a class="btn btn-link"
                                                                    href="<?php echo e(route('password.request')); ?>">
                                                                    <?php echo e(__('Forgot Your Password?')); ?>

                                                                </a>
                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <script src="<?php echo e(asset($path . 'adminassets/js/vendors/jquery-3.5.1.min.js')); ?>"></script>

                            <!-- Bootstrap4 js-->
                            <script src="<?php echo e(asset($path . 'adminassets/plugins/bootstrap/popper.min.js')); ?>"></script>
                            <script src="<?php echo e(asset($path . 'adminassets/plugins/bootstrap/js/bootstrap.min.js')); ?>"></script>

                            <!--Othercharts js-->
                            <script src="<?php echo e(asset($path . 'adminassets/plugins/othercharts/jquery.sparkline.min.js')); ?>"></script>

                            <!-- Circle-progress js-->
                            <script src="<?php echo e(asset($path . 'adminassets/js/vendors/circle-progress.min.js')); ?>"></script>

                            <!-- Jquery-rating js-->
                            <script src="<?php echo e(asset($path . 'adminassets/plugins/rating/jquery.rating-stars.js')); ?>"></script>

</body>

</html>
<?php /**PATH /home/saychees/tipoa.saycheese.com.pk/DevAutoMIS/resources/views/auth/login.blade.php ENDPATH**/ ?>