<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="card-title">Forms</div>
        </div>


        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Form</th>
                            <th>Staus</th>
                            <th>Action</th>
                            
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>Judicial Record Self Declaration Form</td>
                            <td>
                                <?php if(Auth::user()->form_one == null): ?>
                                    Pending
                                <?php else: ?>
                                    Submitted
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if(Auth::user()->form_one == null): ?>
                                <a href="<?php echo e(route('volunteer.form.one')); ?>" class="btn btn-danger">Fill</a>
                            <?php else: ?>
                                <a data-bs-toggle="modal" data-bs-target="#form-one" class="btn btn-success">View</a>
    
                                <div class="modal fade" id="form-one" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal " aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal">
                                                    Judicial Record Self Declaration Form    
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="row">
                                                    <div class="col-12">
                                                        <div class="form-group">
                                                            <div class="row">
                                                                <div class="col-md-12">
                                                                    <div class="row mt-2">
                                                                        <div class="col-md-4">
                                                                            <h6>SurName</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->surname); ?></p>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>First Name</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->first_name); ?></p>
                                                                            
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Date of Birth</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->dob); ?></p>
                                                                        </div>
                                                                    </div>
                                                                    <hr class="mt-2 mb-2">
                                                                    <div class="row mt-2">
                                                                        <div class="col-md-4">
                                                                            <h6>Sex</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->gender); ?></p>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Phone #</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->phone_no); ?></p>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Address</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->address); ?></p>
                                                                        </div>
                                                                    </div>
                                                                    <hr class="mt-2 mb-2">
                                                                    <div class="row mt-2">
                                                                        <div class="col-md-4">
                                                                            <h6>Apt.No</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->apt_no); ?></p>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>City</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->city); ?></p>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Province</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->province); ?></p>
                                                                        </div>
                                                                    </div>
                                                                    <hr class="mt-2 mb-2">
                                                                    <div class="row mt-2">
                                                                        <div class="col-md-4">
                                                                            <h6>Postal Code</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->potal_code); ?></p>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Previous Address</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->previous_address); ?></p>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Previous Apt.No</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->pre_apt_no); ?></p>
                                                                        </div>
                                                                    </div>
                                                                    <hr class="mt-2 mb-2">
                                                                    <div class="row mt-2">
                                                                        <div class="col-md-4">
                                                                            <h6>Previous City</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->pre_city); ?></p>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Previous Province</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->pre_province); ?></p>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Previous Postal Code</h6>
                                                                            <p><?php echo e(Auth::user()->form_one->pre_postal_code); ?></p>
                                                                        </div>
                                                                    </div>
                                                                    <hr class="mt-2 mb-2">
                                                                    <div class="row mt-2">
                                                                        <div class="col-md-4">
                                                                            <h6>Offence Date</h6>
                                                                            <?php if(Auth::user()->form_one->offence_date != null): ?>
                                                                                <p><?php echo e(Auth::user()->form_one->offence_date); ?></p>
                                                                            <?php else: ?>
                                                                                <p>Nill</p>
                                                                            <?php endif; ?>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Conviction Date</h6>
                                                                            <?php if(Auth::user()->form_one->conviction_date != null): ?>
                                                                                <p><?php echo e(Auth::user()->form_one->conviction_date); ?></p>
                                                                            <?php else: ?>
                                                                                <p>Nill</p>
                                                                            <?php endif; ?>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Offence Place</h6>
                                                                            <?php if(Auth::user()->form_one->offence_place != null): ?>
                                                                                <p><?php echo e(Auth::user()->form_one->offence_place); ?></p>
                                                                            <?php else: ?>
                                                                                <p> Nill</p>
                                                                            <?php endif; ?>
                                                                        </div>
                                                                    </div>
                                                                    <hr class="mt-2 mb-2">
                                                                    <div class="row mt-2">
                                                                        <div class="col-md-4">
                                                                            <h6>Charge Offence Date</h6>
                                                                            <?php if(Auth::user()->form_one->charge_offence_date != null): ?>
                                                                                <p><?php echo e(Auth::user()->form_one->charge_offence_date); ?></p>
                                                                            <?php else: ?>
                                                                                <p>Nill</p>
                                                                            <?php endif; ?>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Charge Conviction Date
                                                                            </h6>
                                                                            <?php if(Auth::user()->form_one->charge_conviction_date != null): ?>
                                                                                <p><?php echo e(Auth::user()->form_one->charge_conviction_date); ?></p>
                                                                            <?php else: ?>
                                                                                <p>Nill</p>
                                                                            <?php endif; ?>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Court Offence Date</h6>
                                                                            <?php if(Auth::user()->form_one->court_offence_date != null): ?>
                                                                                <p><?php echo e(Auth::user()->form_one->court_offence_date); ?>

                                                                                </p>
                                                                            <?php else: ?>
                                                                                <p> Nill
                                                                                </p>
                                                                            <?php endif; ?>
                                                                        </div>
                                                                    </div>
                                                                    <hr class="mt-2 mb-2">
                                                                    <div class="row mt-2">
                                                                        <div class="col-md-4">
                                                                            <h6>Court Conviction Date
                                                                            </h6>
                                                                            <?php if(Auth::user()->form_one->court_conviction_date != null): ?>
                                                                                <p><?php echo e(Auth::user()->form_one->court_conviction_date); ?></p>
                                                                            <?php else: ?>
                                                                                <p> Nill </p>
                                                                            <?php endif; ?>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Court Offence Place
                                                                            </h6>
                                                                            <?php if(Auth::user()->form_one->charge_conviction_date != null): ?>
                                                                                <p><?php echo e(Auth::user()->form_one->charge_conviction_date); ?></p>
                                                                            <?php else: ?>
                                                                                <p>Nill</p>
                                                                            <?php endif; ?>
                                                                        </div>
                                                                        <div class="col-md-4">
                                                                            <h6>Court Offence Date</h6>
                                                                            <?php if(Auth::user()->form_one->court_offence_place != null): ?>
                                                                                <p><?php echo e(Auth::user()->form_one->court_offence_place); ?>

                                                                                </p>
                                                                            <?php else: ?>
                                                                                <p> Nill
                                                                                </p>
                                                                            <?php endif; ?>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
    
                                        </div>
                                    </div>
                                </div>
    
                            <?php endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>JGH Volunteer Application Form</td>
                            <td>

                                <?php if(Auth::user()->form_two == null): ?>
                                    Pending
                                <?php else: ?>
                                    Submitted
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if(Auth::user()->form_two == null): ?>
                                    <a href="<?php echo e(route('volunteer.form.two')); ?>" class="btn btn-danger">Fill</a>
                                <?php else: ?>
                                    <a data-bs-toggle="modal" data-bs-target="#form-twoo" class="btn btn-success">View</a>

                                    <div class="modal fade" id="form-twoo" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog modal-lg" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal">JGH VOLUNTEER APPLICATION FORM</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <div class="form-group">
                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>First Name</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->first_name); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Name</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->name); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Maiden Name</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->maiden_name); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Dob</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->dob); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Address</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->address); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>City</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->city); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Province</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->province); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Postal Code</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->postal_code); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Telephone</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->telephone); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Cell Phone</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->cell_phone); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Email</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->email); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Language</h6>
                                                                                <?php if(Auth::user()->form_two->languages != null): ?>
                                                                                    <p><?php echo e(Auth::user()->form_two->languages->name); ?></p>
                                                                                <?php else: ?>
                                                                                    <p> Nill</p>
                                                                                <?php endif; ?>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Is Student</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->is_student); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Family Name One </h6>
                                                                                <p><?php echo e(Auth::user()->form_two->family_name_one); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Family Name Two</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->family_name_two); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Family Email One</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->family_email_one); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Family Email Two</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->family_email_two); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Family Phone One</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->family_phone_one); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Family Phone Two</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->family_phone_two); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Family Relation One</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->family_relation_one); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Family Relation Two</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->family_relation_two); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Family Name</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->family_name); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Given Name</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->given_name); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Telephone Day</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->telephone_day); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Telephone Evening</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->telephone_evening); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Relationship</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->relationship); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Work Experience</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->work_exp); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Volunteer Experience</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->volunteer_exp); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Skills</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->skills); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Restrictions</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->restrictions); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Total Hours</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->total_hours); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Skills</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->skills); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Morning Monday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->morning_monday); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Morning Tuesday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->morning_tuesday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Morning Wednesday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->morning_wednesday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Morning Thursday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->morning_thursday); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Morning Friday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->morning_friday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Morning Saturday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->morning_saturday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Morning Sunday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->morning_sunday); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Afternoon Monday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->afternoon_monday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Afternoon tuesday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->afternoon_tuesday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Afternoon wednesday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->afternoon_wednesday); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Afternoon Thursday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->afternoon_thursday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Afternoon Friday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->afternoon_friday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Afternoon Saturday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->afternoon_saturday); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Afternoon Sunday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->afternoon_sunday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Evening Monday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->evening_monday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Evening Tuesday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->evening_tuesday); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Evening Wednesday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->evening_wednesday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Evening Thursday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->evening_thursday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Evening Friday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->evening_friday); ?></p>
                                                                            </div>
                                                                        </div>
                                                                        <hr class="mt-2 mb-2">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-4">
                                                                                <h6>Evening Saturday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->evening_saturday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Evening Sunday</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->evening_sunday); ?></p>
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <h6>Volunteer Opportunities</h6>
                                                                                <p><?php echo e(Auth::user()->form_two->volunteer_opportunities); ?></p>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>Confidentiality Agreement</td>
                            <td>

                                <?php if(Auth::user()->form_three == null): ?>
                                    Pending
                                <?php else: ?>
                                    Submitted
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if(Auth::user()->form_three == null): ?>
                                    <a href="<?php echo e(route('volunteer.form.three')); ?>" class="btn btn-danger">Fill</a>
                                <?php else: ?>

                                    <a data-bs-toggle="modal" data-bs-target="#form-three" class="btn btn-success">View</a>

                                    <div class="modal fade" id="form-three" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal " aria-hidden="true">
                                        <div class="modal-dialog modal-lg" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal">Confidentiality</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <div class="form-group">
                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <div class="row mt-2">
                                                                            <div class="col-md-6">
                                                                                <h6>Agreement</h6>
                                                                                <p><?php echo e(Auth::user()->form_three->is_agree); ?></p>
                                                                            </div>
                                                                            <div class="col-md-6">
                                                                                <h6>Date</h6>
                                                                                <p><?php echo e(Auth::user()->form_three->date); ?></p>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>

    <script>
        $('document').ready(function() {


            $(document).on("change", ".conviction", function() {
                var check = ($(this)
                    .val()); // Here you will get the current selected/checked radio option value
                if (check == "yes") {
                    $('#yes').show();
                } else {
                    $('#yes').hide();
                }


            });


            $(document).on("change", ".charges", function() {
                var check = ($(this)
                    .val()); // Here you will get the current selected/checked radio option value
                if (check == "yes") {
                    $('#charges').show();
                } else {
                    $('#charges').hide();
                }


            });

            $(document).on("change", ".orders", function() {
                var check = ($(this)
                    .val()); // Here you will get the current selected/checked radio option value
                if (check == "yes") {
                    $('#orders').show();
                } else {
                    $('#orders').hide();
                }


            });


        })
    </script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('volunteer.include.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\XAMPP\XAMPP7.4\htdocs\AutoMIS\resources\views/volunteer/application/forms.blade.php ENDPATH**/ ?>