<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="card-title">Closed And Rejected Volunteer Applications</div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Age</th>
                            <th>Gender</th>
                            <th>Languages</th>
                            <th>Interview</th>
                            <th>Status</th>
                            <th>Action</th>

                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $applications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="table-subheader">
                                <td><?php echo e($item->full_name); ?></td>
                                <td><?php echo e($item->age_slot); ?></td>
                                <td><?php echo e($item->gender); ?></td>
                                <td>
                                    <?php $__currentLoopData = $item->user->languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php echo e($value->language->name); ?>

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </td>
                                <td>
                                    <?php if($item->user->linterview != null): ?>
                                        <?php echo e($item->user->linterview->date); ?> <?php echo e($item->user->linterview->time); ?>

                                    <?php else: ?>
                                        Not Yet Selected
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($item->is_shortlist == 1): ?>
                                        <?php if($item->status == "C"): ?>
                                            Application Closed
                                        <?php elseif($item->status == "R"): ?>
                                            Interview Rejected
                                        <?php endif; ?>
                                    <?php else: ?>
                                        Never Shortlisted
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <button class="btn btn-secondary chlja" type="button"
                                        <?php if($item->is_shortlist == 1): ?>
                                            <?php if($item->status == "C"): ?>
                                                data-title="Closed Application"
                                            <?php elseif($item->status == "R"): ?>
                                                data-title="Interview Rejected"
                                            <?php endif; ?>
                                        <?php else: ?>
                                            data-title="Never Shortlisted"
                                        <?php endif; ?>
                                        data-href="<?php echo e(route('admin.application.show', $item->id)); ?>"  >
                                        Review
                                    </button>
                                    <button class="btn btn-secondary chlja" type="button"
                                        <?php if($item->is_shortlist == 1): ?>
                                            <?php if($item->status == "C"): ?>
                                                data-title="Closed Application"
                                            <?php elseif($item->status == "R"): ?>
                                                data-title="Interview Rejected"
                                            <?php endif; ?>
                                        <?php else: ?>
                                            data-title="Never Shortlisted"
                                        <?php endif; ?>
                                        data-href="<?php echo e(route('admin.application.rejectreason', $item->id)); ?>"  >
                                        Reject Reason
                                    </button>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    
    <div class="modal fade" id="largemodalshow" tabindex="-1" role="dialog" aria-labelledby="largemodal"
        aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodalTitle"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        console.log("hjd");
        $(document).on('click', '.chlja' ,  function(){
            console.log('comn');
            $('#largemodalTitle').html($(this).data('title'));
            $('.dat').load($(this).data('href'));
            var myModal = document.getElementById('largemodalshow');
            var modal = new bootstrap.Modal(myModal, {
                keyboard: false
            })
            
            modal.show();
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.include.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/saychees/tipoa.saycheese.com.pk/AutoMIS/resources/views/admin/applications/rc.blade.php ENDPATH**/ ?>