<?php
use Carbon\Carbon;
?>

<?php $__env->startSection('title'); ?>
TIP-OA: Drop-In Sessions
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="card">
        <div class="card-header">
             <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">Drop-In Sessions</div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Batch No</th>
                            <th>Date</th>
                            <th>Time </th>
                            <th>Action</th>


                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $sessions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                        <td><?php echo e($item->batch_no); ?></td>
                                        <td><?php echo e($item->start_date); ?></td>
                                        <td><?php echo e($item->start_time); ?></td>
                                        <td> 
                                            <a class="btn btn-success"  target="_blank" href="<?php echo e($item->zoom_link); ?>">Join</a>
                                            <a class="btn btn-primary" href="<?php echo e($item->zoom_link); ?>" onclick="copyURI(event)">Copy Link</a>
                                        </td>
                                </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                   
                    </tbody>
                </table>
            </div>
        </div>
    </div>

   
    
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
function copyURI(evt) {
    evt.preventDefault();
    navigator.clipboard.writeText(evt.target.getAttribute('href')).then(() => {
      /* clipboard successfully set */
    }, () => {
      /* clipboard write failed */
    });
}
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('volunteer.include.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/saychees/tipoa.saycheese.com.pk/DevAutoMIS/resources/views/volunteer/sessions/list.blade.php ENDPATH**/ ?>