<aside class="app-sidebar app-sidebar3">
    <div class="app-sidebar__user">
        <div class="dropdown user-pro-body text-center">
            <div class="user-pic">
                <img src="<?php echo e(asset('admin/assets/images/users/16.jpg')); ?>" alt="user-img"
                    class="avatar-xl rounded-circle mb-1">
            </div>
            <div class="user-info">
                <h5 class=" mb-1 font-weight-bold"><?php echo e(Auth::user()->get_name()); ?></h5>
                <span class="text-muted app-sidebar__user-name text-sm"><?php echo e(Auth::user()->user_type); ?></span>
            </div>
        </div>
    </div>
    <ul class="side-menu">
        
        <li class="slide">
            <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)">
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                <span class="side-menu__label">Recruitment</span><i class="angle fa fa-angle-right"></i></a>
            <ul class="slide-menu">
                <li><a class="slide-item" href="<?php echo e(route('admin.interview.slots.index' , 'all')); ?>"><span>Interview Slots</span></a></li>
                <li><a class="slide-item" href="<?php echo e(route('admin.applications.queue')); ?>"><span>Application Queue</span></a></li>
                <li><a class="slide-item" href="<?php echo e(route('admin.applications.index' , 'short-listed')); ?>"><span>Shortlisted</span></a></li>
                <li><a class="slide-item" href="<?php echo e(route('admin.applications.index' , 'rejected')); ?>"><span>Closed/Rejected</span></a></li>
            </ul>
        </li>
        <li class="slide">
            <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)">
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                <span class="side-menu__label">Training</span><i class="angle fa fa-angle-right"></i></a>
            <ul class="slide-menu">
                <li><a class="slide-item" href="<?php echo e(route('admin.training.index')); ?>"><span>Open Batches</span></a></li>
                <li><a class="slide-item" href="<?php echo e(route('admin.training.closed')); ?>"><span>Closed Batches</span></a></li>
                <li><a class="slide-item" href="<?php echo e(route('admin.session.index')); ?>"><span>Drop In Sessions</span></a></li>
            </ul>
        </li>
        <li class="slide">
            <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)">
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                <span class="side-menu__label">Volunteers</span><i class="angle fa fa-angle-right"></i></a>
            <ul class="slide-menu">
                <li><a class="slide-item" href="<?php echo e(route('admin.volunteer.index')); ?>"><span>All Volunteers</span></a></li>
            </ul>
        </li>
        <li class="slide">
            <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)">
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                <span class="side-menu__label">Admin</span><i class="angle fa fa-angle-right"></i></a>
            <ul class="slide-menu">
                <li><a class="slide-item" href="<?php echo e(route('admin.languages.index')); ?>"><span>Languages</span></a></li>
                <li><a class="slide-item" ><span>Areas</span></a></li>
                <li><a class="slide-item" href="<?php echo e(route('admin.organizations.index')); ?>"><span>Organizations</span></a></li>
                <li><a class="slide-item" ><span>Resource Categories</span></a></li>
                <li><a class="slide-item" ><span>Referral Sources</span></a></li>
                <li><a class="slide-item" href="<?php echo e(route('admin.users.index')); ?>"><span>TIP-OA Users</span></a></li>
            </ul>
        </li>
    </ul>
   
    
</aside>
<?php /**PATH /home/saychees/tipoa.saycheese.com.pk/DevAutoMIS/resources/views/admin/include/sidebar.blade.php ENDPATH**/ ?>